
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80007580')]      |
| SIG_REGION                | [('0x80009010', '0x8000a560', '682 dwords')]      |
| COV_LABELS                | mul      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/temp/riscof_work/mul-01.S/ref.S    |
| Total Number of coverpoints| 864     |
| Total Coverpoints Hit     | 858      |
| Total Signature Updates   | 682      |
| STAT1                     | 680      |
| STAT2                     | 2      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80002e88]:mul
      [0x80002e8c]:sd
 -- Signature Address: 0x800099c0 Data: 0x3d70a3d70a3d70a4
 -- Redundant Coverpoints hit by the op
      - opcode : mul
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val==7378697629483820646 and rs2_val==7378697629483820646
      - rs1_val == rs2_val
      - rs1_val > 0 and rs2_val > 0




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80007570]:mul
      [0x80007574]:sd
 -- Signature Address: 0x8000a558 Data: 0x0000000000000000
 -- Redundant Coverpoints hit by the op
      - opcode : mul
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val != rs2_val
      - rs2_val == 4096
      - rs1_val == 4611686018427387904
      - rs1_val > 0 and rs2_val > 0






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                            coverpoints                                                                                             |                  code                   |
|---:|----------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-----------------------------------------|
|   1|[0x80009010]<br>0x0000001000000000|- opcode : mul<br> - rs1 : x28<br> - rs2 : x28<br> - rd : x28<br> - rs1 == rs2 == rd<br> - rs2_val == 262144<br> - rs1_val == 262144<br> - rs1_val == rs2_val<br> - rs1_val > 0 and rs2_val > 0<br> |[0x800003a0]:mul<br> [0x800003a4]:sd<br> |
|   2|[0x80009018]<br>0x3d70a3d70a3d70a4|- rs1 : x11<br> - rs2 : x11<br> - rd : x9<br> - rs1 == rs2 != rd<br> - rs1_val==7378697629483820646 and rs2_val==7378697629483820646<br>                                                            |[0x800003e8]:mul<br> [0x800003ec]:sd<br> |
|   3|[0x80009020]<br>0x33300000b504f333|- rs1 : x27<br> - rs2 : x16<br> - rd : x27<br> - rs1 == rd != rs2<br> - rs1_val != rs2_val<br> - rs2_val == -4503599627370497<br> - rs1_val < 0 and rs2_val < 0<br>                                 |[0x8000040c]:mul<br> [0x80000410]:sd<br> |
|   4|[0x80009028]<br>0xefffe00000000000|- rs1 : x8<br> - rs2 : x15<br> - rd : x15<br> - rs2 == rd != rs1<br> - rs1_val == -32769<br> - rs2_val == 35184372088832<br> - rs1_val < 0 and rs2_val > 0<br>                                      |[0x80000424]:mul<br> [0x80000428]:sd<br> |
|   5|[0x80009030]<br>0x0000010000200001|- rs1 : x7<br> - rs2 : x4<br> - rd : x11<br> - rs1 != rs2  and rs1 != rd and rs2 != rd<br> - rs2_val == -1048577<br> - rs1_val == -1048577<br>                                                      |[0x8000043c]:mul<br> [0x80000440]:sd<br> |
|   6|[0x80009038]<br>0x0000000000000000|- rs1 : x6<br> - rs2 : x17<br> - rd : x23<br> - rs2_val == -9223372036854775808<br> - rs1_val > 0 and rs2_val < 0<br> - rs2_val == (-2**(xlen-1))<br>                                               |[0x8000045c]:mul<br> [0x80000460]:sd<br> |
|   7|[0x80009040]<br>0x0000000000000000|- rs1 : x30<br> - rs2 : x2<br> - rd : x20<br> - rs1_val == 16384<br> - rs2_val == 0<br>                                                                                                             |[0x8000046c]:mul<br> [0x80000470]:sd<br> |
|   8|[0x80009048]<br>0xa000000000000001|- rs1 : x12<br> - rs2 : x23<br> - rd : x7<br> - rs2_val == 9223372036854775807<br> - rs1_val == -2305843009213693953<br> - rs2_val == (2**(xlen-1)-1)<br>                                           |[0x8000048c]:mul<br> [0x80000490]:sd<br> |
|   9|[0x80009050]<br>0x0000000000000000|- rs1 : x25<br> - rs2 : x0<br> - rd : x31<br> - rs1_val == 16<br>                                                                                                                                   |[0x8000049c]:mul<br> [0x800004a0]:sd<br> |
|  10|[0x80009058]<br>0x8000000000000000|- rs1 : x18<br> - rs2 : x6<br> - rd : x26<br> - rs2_val == -5<br> - rs1_val == -9223372036854775808<br> - rs1_val == (-2**(xlen-1))<br>                                                             |[0x800004b0]:mul<br> [0x800004b4]:sd<br> |
|  11|[0x80009060]<br>0x0000000000000000|- rs1 : x14<br> - rs2 : x1<br> - rd : x30<br> - rs1_val==0 and rs2_val==-6148914691236517205<br> - rs1_val == 0<br>                                                                                 |[0x800004dc]:mul<br> [0x800004e0]:sd<br> |
|  12|[0x80009068]<br>0xfffffffffffffffc|- rs1 : x1<br> - rs2 : x31<br> - rd : x12<br> - rs1_val == 9223372036854775807<br> - rs2_val == 4<br> - rs1_val == (2**(xlen-1)-1)<br>                                                              |[0x800004f4]:mul<br> [0x800004f8]:sd<br> |
|  13|[0x80009070]<br>0x0000000000000100|- rs1 : x22<br> - rs2 : x13<br> - rd : x3<br> - rs2_val == 256<br> - rs1_val == 1<br>                                                                                                               |[0x80000504]:mul<br> [0x80000508]:sd<br> |
|  14|[0x80009078]<br>0x0400000000000000|- rs1 : x2<br> - rs2 : x12<br> - rd : x22<br> - rs2_val == 2<br> - rs1_val == 144115188075855872<br>                                                                                                |[0x80000518]:mul<br> [0x8000051c]:sd<br> |
|  15|[0x80009080]<br>0x0000000000000400|- rs1 : x21<br> - rs2 : x7<br> - rd : x4<br> - rs2_val == 8<br> - rs1_val == 128<br>                                                                                                                |[0x80000528]:mul<br> [0x8000052c]:sd<br> |
|  16|[0x80009088]<br>0x5555555555555560|- rs1 : x9<br> - rs2 : x18<br> - rd : x2<br> - rs2_val == 16<br>                                                                                                                                    |[0x80000554]:mul<br> [0x80000558]:sd<br> |
|  17|[0x80009090]<br>0x0000000000000000|- rs1 : x0<br> - rs2 : x9<br> - rd : x10<br> - rs2_val == 32<br>                                                                                                                                    |[0x80000564]:mul<br> [0x80000568]:sd<br> |
|  18|[0x80009098]<br>0xfffffffffffffd80|- rs1 : x3<br> - rs2 : x10<br> - rd : x1<br> - rs2_val == 64<br>                                                                                                                                    |[0x80000574]:mul<br> [0x80000578]:sd<br> |
|  19|[0x800090a0]<br>0x0000000000000180|- rs1 : x26<br> - rs2 : x19<br> - rd : x24<br> - rs2_val == 128<br>                                                                                                                                 |[0x80000584]:mul<br> [0x80000588]:sd<br> |
|  20|[0x800090a8]<br>0x0000000400000000|- rs1 : x24<br> - rs2 : x25<br> - rd : x19<br> - rs2_val == 512<br> - rs1_val == 33554432<br>                                                                                                       |[0x8000059c]:mul<br> [0x800005a0]:sd<br> |
|  21|[0x800090b0]<br>0x0400000000000000|- rs1 : x10<br> - rs2 : x3<br> - rd : x8<br> - rs2_val == 1024<br> - rs1_val == 281474976710656<br>                                                                                                 |[0x800005b0]:mul<br> [0x800005b4]:sd<br> |
|  22|[0x800090b8]<br>0xfffffffffefff800|- rs1 : x13<br> - rs2 : x29<br> - rd : x14<br> - rs1_val == -8193<br> - rs2_val == 2048<br>                                                                                                         |[0x800005c8]:mul<br> [0x800005cc]:sd<br> |
|  23|[0x800090c0]<br>0x0000000000000000|- rs1 : x15<br> - rs2 : x26<br> - rd : x0<br> - rs2_val == 4096<br> - rs1_val == 4611686018427387904<br>                                                                                            |[0x800005dc]:mul<br> [0x800005e0]:sd<br> |
|  24|[0x800090c8]<br>0xdfffffffffffe000|- rs1 : x23<br> - rs2 : x8<br> - rd : x5<br> - rs1_val == -281474976710657<br> - rs2_val == 8192<br>                                                                                                |[0x800005f4]:mul<br> [0x800005f8]:sd<br> |
|  25|[0x800090d0]<br>0x0000000000004000|- rs1 : x29<br> - rs2 : x21<br> - rd : x13<br> - rs2_val == 16384<br>                                                                                                                               |[0x80000604]:mul<br> [0x80000608]:sd<br> |
|  26|[0x800090d8]<br>0x0000100000000000|- rs1 : x19<br> - rs2 : x20<br> - rd : x25<br> - rs2_val == 32768<br> - rs1_val == 536870912<br>                                                                                                    |[0x80000614]:mul<br> [0x80000618]:sd<br> |
|  27|[0x800090e0]<br>0xbfffffffffff0000|- rs1 : x17<br> - rs2 : x22<br> - rd : x16<br> - rs1_val == -70368744177665<br> - rs2_val == 65536<br>                                                                                              |[0x8000062c]:mul<br> [0x80000630]:sd<br> |
|  28|[0x800090e8]<br>0xaaaaaaaaaaaa0000|- rs1 : x4<br> - rs2 : x14<br> - rd : x21<br> - rs2_val == 131072<br> - rs1_val == 6148914691236517205<br>                                                                                          |[0x80000658]:mul<br> [0x8000065c]:sd<br> |
|  29|[0x800090f0]<br>0x7ffffffffffc0000|- rs1 : x20<br> - rs2 : x27<br> - rd : x17<br> - rs1_val == -35184372088833<br>                                                                                                                     |[0x80000670]:mul<br> [0x80000674]:sd<br> |
|  30|[0x800090f8]<br>0xfffffefffff80000|- rs1 : x31<br> - rs2 : x5<br> - rd : x29<br> - rs1_val == -2097153<br> - rs2_val == 524288<br>                                                                                                     |[0x80000684]:mul<br> [0x80000688]:sd<br> |
|  31|[0x80009100]<br>0x000b504f33300000|- rs1 : x5<br> - rs2 : x24<br> - rd : x18<br> - rs2_val == 1048576<br>                                                                                                                              |[0x800006a0]:mul<br> [0x800006a4]:sd<br> |
|  32|[0x80009108]<br>0xffffffffffc00000|- rs1 : x16<br> - rs2 : x30<br> - rd : x6<br> - rs1_val == -1125899906842625<br> - rs2_val == 4194304<br>                                                                                           |[0x800006b8]:mul<br> [0x800006bc]:sd<br> |
|  33|[0x80009110]<br>0xffffffffff800000|- rs2_val == 8388608<br>                                                                                                                                                                            |[0x800006d0]:mul<br> [0x800006d4]:sd<br> |
|  34|[0x80009118]<br>0xfffffffff8000000|- rs2_val == 16777216<br>                                                                                                                                                                           |[0x800006e0]:mul<br> [0x800006e4]:sd<br> |
|  35|[0x80009120]<br>0xcccccccccc000000|- rs2_val == 33554432<br>                                                                                                                                                                           |[0x8000070c]:mul<br> [0x80000710]:sd<br> |
|  36|[0x80009128]<br>0xffffffffe8000000|- rs2_val == 67108864<br>                                                                                                                                                                           |[0x8000071c]:mul<br> [0x80000720]:sd<br> |
|  37|[0x80009130]<br>0xffffffffe0000000|- rs2_val == 134217728<br>                                                                                                                                                                          |[0x8000072c]:mul<br> [0x80000730]:sd<br> |
|  38|[0x80009138]<br>0xffffffffd0000000|- rs1_val == -3<br> - rs2_val == 268435456<br>                                                                                                                                                      |[0x8000073c]:mul<br> [0x80000740]:sd<br> |
|  39|[0x80009140]<br>0xfffffdffe0000000|- rs1_val == -4097<br> - rs2_val == 536870912<br>                                                                                                                                                   |[0x80000750]:mul<br> [0x80000754]:sd<br> |
|  40|[0x80009148]<br>0x2d413ccc80000000|- rs2_val == 1073741824<br>                                                                                                                                                                         |[0x8000076c]:mul<br> [0x80000770]:sd<br> |
|  41|[0x80009150]<br>0x0000000180000000|- rs2_val == 2147483648<br>                                                                                                                                                                         |[0x80000780]:mul<br> [0x80000784]:sd<br> |
|  42|[0x80009158]<br>0x5555555600000000|- rs2_val == 4294967296<br>                                                                                                                                                                         |[0x800007b0]:mul<br> [0x800007b4]:sd<br> |
|  43|[0x80009160]<br>0xfffffffe00000000|- rs1_val == -4398046511105<br> - rs2_val == 8589934592<br>                                                                                                                                         |[0x800007cc]:mul<br> [0x800007d0]:sd<br> |
|  44|[0x80009168]<br>0x0000008000000000|- rs2_val == 17179869184<br> - rs1_val == 32<br>                                                                                                                                                    |[0x800007e0]:mul<br> [0x800007e4]:sd<br> |
|  45|[0x80009170]<br>0x0010000000000000|- rs2_val == 34359738368<br> - rs1_val == 131072<br>                                                                                                                                                |[0x800007f4]:mul<br> [0x800007f8]:sd<br> |
|  46|[0x80009178]<br>0xfffffdf000000000|- rs1_val == -33<br> - rs2_val == 68719476736<br>                                                                                                                                                   |[0x80000808]:mul<br> [0x8000080c]:sd<br> |
|  47|[0x80009180]<br>0x0000000000000000|- rs2_val == 137438953472<br> - rs1_val == 34359738368<br>                                                                                                                                          |[0x80000820]:mul<br> [0x80000824]:sd<br> |
|  48|[0x80009188]<br>0xdfffffc000000000|- rs1_val == -8388609<br> - rs2_val == 274877906944<br>                                                                                                                                             |[0x80000838]:mul<br> [0x8000083c]:sd<br> |
|  49|[0x80009190]<br>0x0020000000000000|- rs2_val == 549755813888<br>                                                                                                                                                                       |[0x8000084c]:mul<br> [0x80000850]:sd<br> |
|  50|[0x80009198]<br>0x5555560000000000|- rs2_val == 1099511627776<br>                                                                                                                                                                      |[0x8000087c]:mul<br> [0x80000880]:sd<br> |
|  51|[0x800091a0]<br>0x0001000000000000|- rs2_val == 2199023255552<br>                                                                                                                                                                      |[0x80000890]:mul<br> [0x80000894]:sd<br> |
|  52|[0x800091a8]<br>0xfffffc0000000000|- rs1_val == -18014398509481985<br> - rs2_val == 4398046511104<br>                                                                                                                                  |[0x800008ac]:mul<br> [0x800008b0]:sd<br> |
|  53|[0x800091b0]<br>0xfffff80000000000|- rs1_val == -2199023255553<br> - rs2_val == 8796093022208<br>                                                                                                                                      |[0x800008c8]:mul<br> [0x800008cc]:sd<br> |
|  54|[0x800091b8]<br>0x0000000000000000|- rs2_val == 17592186044416<br> - rs1_val == 68719476736<br>                                                                                                                                        |[0x800008e0]:mul<br> [0x800008e4]:sd<br> |
|  55|[0x800091c0]<br>0x0000000000000000|- rs2_val == 70368744177664<br>                                                                                                                                                                     |[0x800008f8]:mul<br> [0x800008fc]:sd<br> |
|  56|[0x800091c8]<br>0x0001800000000000|- rs2_val == 140737488355328<br>                                                                                                                                                                    |[0x8000090c]:mul<br> [0x80000910]:sd<br> |
|  57|[0x800091d0]<br>0x5556000000000000|- rs2_val == 281474976710656<br>                                                                                                                                                                    |[0x8000093c]:mul<br> [0x80000940]:sd<br> |
|  58|[0x800091d8]<br>0x0008000000000000|- rs2_val == 562949953421312<br> - rs1_val == 4<br>                                                                                                                                                 |[0x80000950]:mul<br> [0x80000954]:sd<br> |
|  59|[0x800091e0]<br>0xfffc000000000000|- rs1_val == -549755813889<br> - rs2_val == 1125899906842624<br>                                                                                                                                    |[0x8000096c]:mul<br> [0x80000970]:sd<br> |
|  60|[0x800091e8]<br>0xfff8000000000000|- rs2_val == 2251799813685248<br>                                                                                                                                                                   |[0x80000988]:mul<br> [0x8000098c]:sd<br> |
|  61|[0x800091f0]<br>0x0000000000000000|- rs2_val == 4503599627370496<br>                                                                                                                                                                   |[0x8000099c]:mul<br> [0x800009a0]:sd<br> |
|  62|[0x800091f8]<br>0x0000000000000000|- rs2_val == 9007199254740992<br> - rs1_val == 16777216<br>                                                                                                                                         |[0x800009b0]:mul<br> [0x800009b4]:sd<br> |
|  63|[0x80009200]<br>0x01c0000000000000|- rs2_val == 18014398509481984<br>                                                                                                                                                                  |[0x800009c4]:mul<br> [0x800009c8]:sd<br> |
|  64|[0x80009208]<br>0xff80000000000000|- rs2_val == 36028797018963968<br>                                                                                                                                                                  |[0x800009dc]:mul<br> [0x800009e0]:sd<br> |
|  65|[0x80009210]<br>0xff00000000000000|- rs1_val == -34359738369<br> - rs2_val == 72057594037927936<br>                                                                                                                                    |[0x800009f8]:mul<br> [0x800009fc]:sd<br> |
|  66|[0x80009218]<br>0xfe00000000000000|- rs1_val == -1152921504606846977<br> - rs2_val == 144115188075855872<br>                                                                                                                           |[0x80000a14]:mul<br> [0x80000a18]:sd<br> |
|  67|[0x80009220]<br>0xe800000000000000|- rs2_val == 288230376151711744<br>                                                                                                                                                                 |[0x80000a28]:mul<br> [0x80000a2c]:sd<br> |
|  68|[0x80009228]<br>0x9000000000000000|- rs2_val == 576460752303423488<br>                                                                                                                                                                 |[0x80000a58]:mul<br> [0x80000a5c]:sd<br> |
|  69|[0x80009230]<br>0x0000000000000000|- rs2_val == 1152921504606846976<br> - rs1_val == 17592186044416<br>                                                                                                                                |[0x80000a70]:mul<br> [0x80000a74]:sd<br> |
|  70|[0x80009238]<br>0x0000000000000000|- rs2_val == 2305843009213693952<br> - rs1_val == 274877906944<br>                                                                                                                                  |[0x80000a88]:mul<br> [0x80000a8c]:sd<br> |
|  71|[0x80009240]<br>0x0000000000000000|- rs2_val == 4611686018427387904<br> - rs1_val == 137438953472<br>                                                                                                                                  |[0x80000aa0]:mul<br> [0x80000aa4]:sd<br> |
|  72|[0x80009248]<br>0x0000000000000000|- rs2_val == -2<br>                                                                                                                                                                                 |[0x80000ab4]:mul<br> [0x80000ab8]:sd<br> |
|  73|[0x80009250]<br>0x0000000000000000|- rs2_val == -3<br>                                                                                                                                                                                 |[0x80000ac4]:mul<br> [0x80000ac8]:sd<br> |
|  74|[0x80009258]<br>0xfffffffffffffee0|- rs2_val == -9<br>                                                                                                                                                                                 |[0x80000ad4]:mul<br> [0x80000ad8]:sd<br> |
|  75|[0x80009260]<br>0x0000000220000011|- rs2_val == -17<br> - rs1_val == -536870913<br>                                                                                                                                                    |[0x80000ae8]:mul<br> [0x80000aec]:sd<br> |
|  76|[0x80009268]<br>0x0000042000000021|- rs2_val == -33<br> - rs1_val == -137438953473<br>                                                                                                                                                 |[0x80000b00]:mul<br> [0x80000b04]:sd<br> |
|  77|[0x80009270]<br>0x0000002df641bfb2|- rs2_val == -65<br>                                                                                                                                                                                |[0x80000b1c]:mul<br> [0x80000b20]:sd<br> |
|  78|[0x80009278]<br>0xfffdfc0000000000|- rs2_val == -129<br> - rs1_val == 4398046511104<br>                                                                                                                                                |[0x80000b30]:mul<br> [0x80000b34]:sd<br> |
|  79|[0x80009280]<br>0xffffffffffffdfe0|- rs2_val == -257<br>                                                                                                                                                                               |[0x80000b40]:mul<br> [0x80000b44]:sd<br> |
|  80|[0x80009288]<br>0xfffffffffffdff00|- rs2_val == -513<br> - rs1_val == 256<br>                                                                                                                                                          |[0x80000b50]:mul<br> [0x80000b54]:sd<br> |
|  81|[0x80009290]<br>0xfffffffffffbff00|- rs2_val == -1025<br>                                                                                                                                                                              |[0x80000b60]:mul<br> [0x80000b64]:sd<br> |
|  82|[0x80009298]<br>0x0000000000040881|- rs2_val == -2049<br> - rs1_val == -129<br>                                                                                                                                                        |[0x80000b74]:mul<br> [0x80000b78]:sd<br> |
|  83|[0x800092a0]<br>0x0200200000001001|- rs2_val == -4097<br>                                                                                                                                                                              |[0x80000b90]:mul<br> [0x80000b94]:sd<br> |
|  84|[0x800092a8]<br>0xfffdfff000000000|- rs2_val == -8193<br>                                                                                                                                                                              |[0x80000ba8]:mul<br> [0x80000bac]:sd<br> |
|  85|[0x800092b0]<br>0xffffffffbfff0000|- rs2_val == -16385<br> - rs1_val == 65536<br>                                                                                                                                                      |[0x80000bbc]:mul<br> [0x80000bc0]:sd<br> |
|  86|[0x800092b8]<br>0x0000000000002aab|- rs2_val == -32769<br>                                                                                                                                                                             |[0x80000bec]:mul<br> [0x80000bf0]:sd<br> |
|  87|[0x800092c0]<br>0x0000000200030001|- rs2_val == -65537<br> - rs1_val == -131073<br>                                                                                                                                                    |[0x80000c04]:mul<br> [0x80000c08]:sd<br> |
|  88|[0x800092c8]<br>0xfffffeffff800000|- rs2_val == -131073<br> - rs1_val == 8388608<br>                                                                                                                                                   |[0x80000c18]:mul<br> [0x80000c1c]:sd<br> |
|  89|[0x800092d0]<br>0x0000000200048001|- rs2_val == -262145<br>                                                                                                                                                                            |[0x80000c30]:mul<br> [0x80000c34]:sd<br> |
|  90|[0x800092d8]<br>0xfffa57d7b15b0ccc|- rs2_val == -524289<br>                                                                                                                                                                            |[0x80000c50]:mul<br> [0x80000c54]:sd<br> |
|  91|[0x800092e0]<br>0xf7ffffc000000000|- rs2_val == -2097153<br>                                                                                                                                                                           |[0x80000c68]:mul<br> [0x80000c6c]:sd<br> |
|  92|[0x800092e8]<br>0x0000000400401001|- rs2_val == -4194305<br>                                                                                                                                                                           |[0x80000c80]:mul<br> [0x80000c84]:sd<br> |
|  93|[0x800092f0]<br>0xffbfffff80000000|- rs2_val == -8388609<br> - rs1_val == 2147483648<br>                                                                                                                                               |[0x80000c98]:mul<br> [0x80000c9c]:sd<br> |
|  94|[0x800092f8]<br>0x0002000001000001|- rs2_val == -16777217<br> - rs1_val == -562949953421313<br>                                                                                                                                        |[0x80000cb4]:mul<br> [0x80000cb8]:sd<br> |
|  95|[0x80009300]<br>0xffffff7fffffc000|- rs2_val == -33554433<br>                                                                                                                                                                          |[0x80000cc8]:mul<br> [0x80000ccc]:sd<br> |
|  96|[0x80009308]<br>0x0000000044000011|- rs2_val == -67108865<br> - rs1_val == -17<br>                                                                                                                                                     |[0x80000cdc]:mul<br> [0x80000ce0]:sd<br> |
|  97|[0x80009310]<br>0xffffffffc7fffff9|- rs2_val == -134217729<br>                                                                                                                                                                         |[0x80000cf0]:mul<br> [0x80000cf4]:sd<br> |
|  98|[0x80009318]<br>0x0000000010000001|- rs2_val == -268435457<br>                                                                                                                                                                         |[0x80000d04]:mul<br> [0x80000d08]:sd<br> |
|  99|[0x80009320]<br>0xfffffdfffffff000|- rs2_val == -536870913<br> - rs1_val == 4096<br>                                                                                                                                                   |[0x80000d18]:mul<br> [0x80000d1c]:sd<br> |
| 100|[0x80009328]<br>0x55555555aaaaaaac|- rs2_val == -1073741825<br>                                                                                                                                                                        |[0x80000d48]:mul<br> [0x80000d4c]:sd<br> |
| 101|[0x80009330]<br>0x0000200080004001|- rs2_val == -2147483649<br> - rs1_val == -16385<br>                                                                                                                                                |[0x80000d64]:mul<br> [0x80000d68]:sd<br> |
| 102|[0x80009338]<br>0x0010000100100001|- rs2_val == -4294967297<br>                                                                                                                                                                        |[0x80000d80]:mul<br> [0x80000d84]:sd<br> |
| 103|[0x80009340]<br>0xfffffc0000000000|- rs2_val == -8589934593<br>                                                                                                                                                                        |[0x80000d9c]:mul<br> [0x80000da0]:sd<br> |
| 104|[0x80009348]<br>0x0004000400000001|- rs2_val == -17179869185<br>                                                                                                                                                                       |[0x80000dbc]:mul<br> [0x80000dc0]:sd<br> |
| 105|[0x80009350]<br>0xfffffdffffffffc0|- rs2_val == -34359738369<br> - rs1_val == 64<br>                                                                                                                                                   |[0x80000dd4]:mul<br> [0x80000dd8]:sd<br> |
| 106|[0x80009358]<br>0xff7ffffffff80000|- rs2_val == -68719476737<br> - rs1_val == 524288<br>                                                                                                                                               |[0x80000dec]:mul<br> [0x80000df0]:sd<br> |
| 107|[0x80009360]<br>0xfefffffffff80000|- rs2_val == -137438953473<br>                                                                                                                                                                      |[0x80000e04]:mul<br> [0x80000e08]:sd<br> |
| 108|[0x80009368]<br>0x0000004cccccccce|- rs2_val == -274877906945<br>                                                                                                                                                                      |[0x80000e38]:mul<br> [0x80000e3c]:sd<br> |
| 109|[0x80009370]<br>0xffffc00000000000|- rs2_val == -549755813889<br> - rs1_val == 70368744177664<br>                                                                                                                                      |[0x80000e54]:mul<br> [0x80000e58]:sd<br> |
| 110|[0x80009378]<br>0xffffbfffffffffe0|- rs2_val == -2199023255553<br>                                                                                                                                                                     |[0x80000e6c]:mul<br> [0x80000e70]:sd<br> |
| 111|[0x80009380]<br>0xffffffffff800000|- rs2_val == -4398046511105<br>                                                                                                                                                                     |[0x80000e84]:mul<br> [0x80000e88]:sd<br> |
| 112|[0x80009388]<br>0x0000088000000001|- rs2_val == -8796093022209<br>                                                                                                                                                                     |[0x80000ea4]:mul<br> [0x80000ea8]:sd<br> |
| 113|[0x80009390]<br>0xffefffffffffff00|- rs2_val == -17592186044417<br>                                                                                                                                                                    |[0x80000ebc]:mul<br> [0x80000ec0]:sd<br> |
| 114|[0x80009398]<br>0xffff800000000000|- rs2_val == -35184372088833<br> - rs1_val == 140737488355328<br>                                                                                                                                   |[0x80000ed8]:mul<br> [0x80000edc]:sd<br> |
| 115|[0x800093a0]<br>0xffffe00000000000|- rs2_val == -70368744177665<br> - rs1_val == 35184372088832<br>                                                                                                                                    |[0x80000ef4]:mul<br> [0x80000ef8]:sd<br> |
| 116|[0x800093a8]<br>0x0000800800000001|- rs2_val == -140737488355329<br>                                                                                                                                                                   |[0x80000f14]:mul<br> [0x80000f18]:sd<br> |
| 117|[0x800093b0]<br>0xaaab555555555556|- rs2_val == -281474976710657<br> - rs1_val == -6148914691236517206<br>                                                                                                                             |[0x80000f48]:mul<br> [0x80000f4c]:sd<br> |
| 118|[0x800093b8]<br>0xcccb999999999999|- rs2_val == -562949953421313<br>                                                                                                                                                                   |[0x80000f7c]:mul<br> [0x80000f80]:sd<br> |
| 119|[0x800093c0]<br>0x8004000000000001|- rs2_val == -1125899906842625<br>                                                                                                                                                                  |[0x80000f9c]:mul<br> [0x80000fa0]:sd<br> |
| 120|[0x800093c8]<br>0xfffffffffff80000|- rs2_val == -2251799813685249<br>                                                                                                                                                                  |[0x80000fb4]:mul<br> [0x80000fb8]:sd<br> |
| 121|[0x800093d0]<br>0x0420000000000001|- rs2_val == -9007199254740993<br> - rs1_val == -288230376151711745<br>                                                                                                                             |[0x80000fd4]:mul<br> [0x80000fd8]:sd<br> |
| 122|[0x800093d8]<br>0xffffffffff000000|- rs2_val == -18014398509481985<br>                                                                                                                                                                 |[0x80000fec]:mul<br> [0x80000ff0]:sd<br> |
| 123|[0x800093e0]<br>0x8080000000000101|- rs2_val == -36028797018963969<br> - rs1_val == -257<br>                                                                                                                                           |[0x80001004]:mul<br> [0x80001008]:sd<br> |
| 124|[0x800093e8]<br>0x339999999999999a|- rs2_val == -72057594037927937<br>                                                                                                                                                                 |[0x80001038]:mul<br> [0x8000103c]:sd<br> |
| 125|[0x800093f0]<br>0xfff8000000000000|- rs2_val == -144115188075855873<br> - rs1_val == 2251799813685248<br>                                                                                                                              |[0x80001054]:mul<br> [0x80001058]:sd<br> |
| 126|[0x800093f8]<br>0x0800000000000001|- rs2_val == -288230376151711745<br>                                                                                                                                                                |[0x80001074]:mul<br> [0x80001078]:sd<br> |
| 127|[0x80009400]<br>0xfffffffffffffe00|- rs2_val == -576460752303423489<br> - rs1_val == 512<br>                                                                                                                                           |[0x8000108c]:mul<br> [0x80001090]:sd<br> |
| 128|[0x80009408]<br>0x1000000000000081|- rs2_val == -1152921504606846977<br>                                                                                                                                                               |[0x800010a4]:mul<br> [0x800010a8]:sd<br> |
| 129|[0x80009410]<br>0x2000000040000001|- rs2_val == -2305843009213693953<br> - rs1_val == -1073741825<br>                                                                                                                                  |[0x800010c0]:mul<br> [0x800010c4]:sd<br> |
| 130|[0x80009418]<br>0x7ffffffffffffffe|- rs2_val == -4611686018427387905<br> - rs1_val == 2<br>                                                                                                                                            |[0x800010d8]:mul<br> [0x800010dc]:sd<br> |
| 131|[0x80009420]<br>0x5555555555555554|- rs1_val==4 and rs2_val==6148914691236517205<br> - rs2_val == 6148914691236517205<br>                                                                                                              |[0x80001104]:mul<br> [0x80001108]:sd<br> |
| 132|[0x80009428]<br>0x555555555555555c|- rs2_val == -6148914691236517206<br>                                                                                                                                                               |[0x80001130]:mul<br> [0x80001134]:sd<br> |
| 133|[0x80009430]<br>0xeffffffffffffff8|- rs1_val == 8<br>                                                                                                                                                                                  |[0x80001148]:mul<br> [0x8000114c]:sd<br> |
| 134|[0x80009438]<br>0x0000000000000000|- rs1_val == 1024<br>                                                                                                                                                                               |[0x8000115c]:mul<br> [0x80001160]:sd<br> |
| 135|[0x80009440]<br>0x9999999999999000|- rs1_val == 2048<br>                                                                                                                                                                               |[0x8000118c]:mul<br> [0x80001190]:sd<br> |
| 136|[0x80009448]<br>0xcccccccccccca000|- rs1_val == 8192<br>                                                                                                                                                                               |[0x800011b8]:mul<br> [0x800011bc]:sd<br> |
| 137|[0x80009450]<br>0x0004000000000000|- rs1_val == 32768<br>                                                                                                                                                                              |[0x800011cc]:mul<br> [0x800011d0]:sd<br> |
| 138|[0x80009458]<br>0x6666666666600000|- rs1_val == 1048576<br>                                                                                                                                                                            |[0x800011f8]:mul<br> [0x800011fc]:sd<br> |
| 139|[0x80009460]<br>0xfffffff7ffe00000|- rs1_val == 2097152<br>                                                                                                                                                                            |[0x8000120c]:mul<br> [0x80001210]:sd<br> |
| 140|[0x80009468]<br>0x0000000000c00000|- rs1_val == 4194304<br>                                                                                                                                                                            |[0x8000121c]:mul<br> [0x80001220]:sd<br> |
| 141|[0x80009470]<br>0x999999999c000000|- rs1_val == 67108864<br>                                                                                                                                                                           |[0x80001248]:mul<br> [0x8000124c]:sd<br> |
| 142|[0x80009478]<br>0x9999999998000000|- rs1_val == 134217728<br>                                                                                                                                                                          |[0x80001274]:mul<br> [0x80001278]:sd<br> |
| 143|[0x80009480]<br>0x0008000000000000|- rs1_val == 268435456<br>                                                                                                                                                                          |[0x80001284]:mul<br> [0x80001288]:sd<br> |
| 144|[0x80009488]<br>0x0000000000000000|- rs1_val == 1073741824<br>                                                                                                                                                                         |[0x80001298]:mul<br> [0x8000129c]:sd<br> |
| 145|[0x80009490]<br>0x0000020000000000|- rs1_val == 4294967296<br>                                                                                                                                                                         |[0x800012ac]:mul<br> [0x800012b0]:sd<br> |
| 146|[0x80009498]<br>0x5555555600000000|- rs1_val == 8589934592<br>                                                                                                                                                                         |[0x800012dc]:mul<br> [0x800012e0]:sd<br> |
| 147|[0x800094a0]<br>0x0000002400000000|- rs1_val == 17179869184<br>                                                                                                                                                                        |[0x800012f0]:mul<br> [0x800012f4]:sd<br> |
| 148|[0x800094a8]<br>0x0200000000000000|- rs1_val == 549755813888<br>                                                                                                                                                                       |[0x80001304]:mul<br> [0x80001308]:sd<br> |
| 149|[0x800094b0]<br>0x1000000000000000|- rs1_val == 1099511627776<br>                                                                                                                                                                      |[0x80001318]:mul<br> [0x8000131c]:sd<br> |
| 150|[0x800094b8]<br>0xfffffe0000000000|- rs1_val == 2199023255552<br>                                                                                                                                                                      |[0x80001334]:mul<br> [0x80001338]:sd<br> |
| 151|[0x800094c0]<br>0xfffff80000000000|- rs1_val == 8796093022208<br>                                                                                                                                                                      |[0x80001350]:mul<br> [0x80001354]:sd<br> |
| 152|[0x800094c8]<br>0xfffe000000000000|- rs1_val == 562949953421312<br>                                                                                                                                                                    |[0x8000136c]:mul<br> [0x80001370]:sd<br> |
| 153|[0x800094d0]<br>0xfffc000000000000|- rs1_val == 1125899906842624<br>                                                                                                                                                                   |[0x80001384]:mul<br> [0x80001388]:sd<br> |
| 154|[0x800094d8]<br>0x0000000000000000|- rs1_val == 4503599627370496<br>                                                                                                                                                                   |[0x80001398]:mul<br> [0x8000139c]:sd<br> |
| 155|[0x800094e0]<br>0x0080000000000000|- rs1_val == 9007199254740992<br>                                                                                                                                                                   |[0x800013ac]:mul<br> [0x800013b0]:sd<br> |
| 156|[0x800094e8]<br>0x0000000000000000|- rs1_val == 18014398509481984<br>                                                                                                                                                                  |[0x800013c0]:mul<br> [0x800013c4]:sd<br> |
| 157|[0x800094f0]<br>0xff80000000000000|- rs1_val == 36028797018963968<br>                                                                                                                                                                  |[0x800013dc]:mul<br> [0x800013e0]:sd<br> |
| 158|[0x800094f8]<br>0xff00000000000000|- rs1_val == 72057594037927936<br>                                                                                                                                                                  |[0x800013f4]:mul<br> [0x800013f8]:sd<br> |
| 159|[0x80009500]<br>0x0000000000000000|- rs1_val == 288230376151711744<br>                                                                                                                                                                 |[0x80001408]:mul<br> [0x8000140c]:sd<br> |
| 160|[0x80009508]<br>0xf800000000000000|- rs1_val == 576460752303423488<br>                                                                                                                                                                 |[0x80001420]:mul<br> [0x80001424]:sd<br> |
| 161|[0x80009510]<br>0x0000000000000000|- rs1_val == 1152921504606846976<br>                                                                                                                                                                |[0x80001434]:mul<br> [0x80001438]:sd<br> |
| 162|[0x80009518]<br>0xe000000000000000|- rs1_val == 2305843009213693952<br>                                                                                                                                                                |[0x8000144c]:mul<br> [0x80001450]:sd<br> |
| 163|[0x80009520]<br>0x1400000000000005|- rs1_val == -5<br>                                                                                                                                                                                 |[0x80001464]:mul<br> [0x80001468]:sd<br> |
| 164|[0x80009528]<br>0x0000000000001209|- rs1_val == -9<br>                                                                                                                                                                                 |[0x80001474]:mul<br> [0x80001478]:sd<br> |
| 165|[0x80009530]<br>0xffffffffbf000000|- rs1_val == -65<br>                                                                                                                                                                                |[0x80001484]:mul<br> [0x80001488]:sd<br> |
| 166|[0x80009538]<br>0x0000008040000201|- rs1_val == -513<br>                                                                                                                                                                               |[0x80001498]:mul<br> [0x8000149c]:sd<br> |
| 167|[0x80009540]<br>0x0000000000008421|- rs1_val == -1025<br>                                                                                                                                                                              |[0x800014a8]:mul<br> [0x800014ac]:sd<br> |
| 168|[0x80009548]<br>0x3333333333333cce|- rs1_val == -2049<br>                                                                                                                                                                              |[0x800014d8]:mul<br> [0x800014dc]:sd<br> |
| 169|[0x80009550]<br>0xfffffffdfffe0000|- rs1_val == -65537<br>                                                                                                                                                                             |[0x800014ec]:mul<br> [0x800014f0]:sd<br> |
| 170|[0x80009558]<br>0x0000000040041001|- rs1_val == -262145<br>                                                                                                                                                                            |[0x80001504]:mul<br> [0x80001508]:sd<br> |
| 171|[0x80009560]<br>0xfbffff8000000000|- rs1_val == -524289<br>                                                                                                                                                                            |[0x8000151c]:mul<br> [0x80001520]:sd<br> |
| 172|[0x80009568]<br>0x0200000000400001|- rs1_val == -4194305<br>                                                                                                                                                                           |[0x80001538]:mul<br> [0x8000153c]:sd<br> |
| 173|[0x80009570]<br>0x0000000004000004|- rs1_val == -16777217<br>                                                                                                                                                                          |[0x8000154c]:mul<br> [0x80001550]:sd<br> |
| 174|[0x80009578]<br>0x0000000001555556|- rs1_val == -33554433<br>                                                                                                                                                                          |[0x8000157c]:mul<br> [0x80001580]:sd<br> |
| 175|[0x80009580]<br>0xfffff80000000000|- rs1_val == -67108865<br>                                                                                                                                                                          |[0x80001594]:mul<br> [0x80001598]:sd<br> |
| 176|[0x80009588]<br>0xfffffe0000000000|- rs1_val == -134217729<br>                                                                                                                                                                         |[0x800015ac]:mul<br> [0x800015b0]:sd<br> |
| 177|[0x80009590]<br>0xffffffffdffffffe|- rs1_val == -268435457<br>                                                                                                                                                                         |[0x800015c0]:mul<br> [0x800015c4]:sd<br> |
| 178|[0x80009598]<br>0xff00000000000000|- rs1_val == -2147483649<br>                                                                                                                                                                        |[0x800015dc]:mul<br> [0x800015e0]:sd<br> |
| 179|[0x800095a0]<br>0x0002000100000001|- rs1_val == -4294967297<br>                                                                                                                                                                        |[0x800015fc]:mul<br> [0x80001600]:sd<br> |
| 180|[0x800095a8]<br>0xfffffff1fffffff9|- rs1_val == -8589934593<br>                                                                                                                                                                        |[0x80001614]:mul<br> [0x80001618]:sd<br> |
| 181|[0x800095b0]<br>0x0200000400800001|- rs1_val == -17179869185<br>                                                                                                                                                                       |[0x80001630]:mul<br> [0x80001634]:sd<br> |
| 182|[0x800095b8]<br>0x0000000000000000|- rs1_val == -68719476737<br>                                                                                                                                                                       |[0x80001648]:mul<br> [0x8000164c]:sd<br> |
| 183|[0x800095c0]<br>0x8000004002000001|- rs1_val == -274877906945<br>                                                                                                                                                                      |[0x80001664]:mul<br> [0x80001668]:sd<br> |
| 184|[0x800095c8]<br>0xfffffffffe000000|- rs1_val == -1099511627777<br>                                                                                                                                                                     |[0x8000167c]:mul<br> [0x80001680]:sd<br> |
| 185|[0x800095d0]<br>0x7ffffffffff00000|- rs1_val == -8796093022209<br>                                                                                                                                                                     |[0x80001694]:mul<br> [0x80001698]:sd<br> |
| 186|[0x800095d8]<br>0xffefffffffffff00|- rs1_val == -17592186044417<br>                                                                                                                                                                    |[0x800016ac]:mul<br> [0x800016b0]:sd<br> |
| 187|[0x800095e0]<br>0xffff000000000000|- rs1_val == -140737488355329<br>                                                                                                                                                                   |[0x800016c8]:mul<br> [0x800016cc]:sd<br> |
| 188|[0x800095e8]<br>0xeffffffffffffe00|- rs1_val == -2251799813685249<br>                                                                                                                                                                  |[0x800016e0]:mul<br> [0x800016e4]:sd<br> |
| 189|[0x800095f0]<br>0x0810000000000001|- rs1_val == -4503599627370497<br>                                                                                                                                                                  |[0x80001700]:mul<br> [0x80001704]:sd<br> |
| 190|[0x800095f8]<br>0xfffffffffffff800|- rs1_val == -9007199254740993<br>                                                                                                                                                                  |[0x8000171c]:mul<br> [0x80001720]:sd<br> |
| 191|[0x80009600]<br>0xfffff80000000000|- rs1_val == -36028797018963969<br>                                                                                                                                                                 |[0x80001738]:mul<br> [0x8000173c]:sd<br> |
| 192|[0x80009608]<br>0x0100000100000001|- rs1_val == -72057594037927937<br>                                                                                                                                                                 |[0x80001758]:mul<br> [0x8000175c]:sd<br> |
| 193|[0x80009610]<br>0x0155555555555556|- rs1_val == -144115188075855873<br>                                                                                                                                                                |[0x8000178c]:mul<br> [0x80001790]:sd<br> |
| 194|[0x80009618]<br>0xe000000000000000|- rs1_val == -576460752303423489<br>                                                                                                                                                                |[0x800017a8]:mul<br> [0x800017ac]:sd<br> |
| 195|[0x80009620]<br>0x800000000000000a|- rs1_val == -4611686018427387905<br>                                                                                                                                                               |[0x800017c0]:mul<br> [0x800017c4]:sd<br> |
| 196|[0x80009628]<br>0x0000000000000009|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                                     |[0x800017d0]:mul<br> [0x800017d4]:sd<br> |
| 197|[0x80009630]<br>0xffffffffffffffff|- rs1_val==3 and rs2_val==6148914691236517205<br>                                                                                                                                                   |[0x800017fc]:mul<br> [0x80001800]:sd<br> |
| 198|[0x80009638]<br>0xfffffffffffffffe|- rs1_val==3 and rs2_val==-6148914691236517206<br>                                                                                                                                                  |[0x80001828]:mul<br> [0x8000182c]:sd<br> |
| 199|[0x80009640]<br>0x000000000000000f|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                                     |[0x80001838]:mul<br> [0x8000183c]:sd<br> |
| 200|[0x80009648]<br>0x9999999999999999|- rs1_val==3 and rs2_val==3689348814741910323<br>                                                                                                                                                   |[0x80001864]:mul<br> [0x80001868]:sd<br> |
| 201|[0x80009650]<br>0x3333333333333332|- rs1_val==3 and rs2_val==7378697629483820646<br>                                                                                                                                                   |[0x80001890]:mul<br> [0x80001894]:sd<br> |
| 202|[0x80009658]<br>0xfffffffde0f12667|- rs1_val==3 and rs2_val==-3037000499<br>                                                                                                                                                           |[0x800018ac]:mul<br> [0x800018b0]:sd<br> |
| 203|[0x80009660]<br>0x000000021f0ed999|- rs1_val==3 and rs2_val==3037000499<br>                                                                                                                                                            |[0x800018c8]:mul<br> [0x800018cc]:sd<br> |
| 204|[0x80009668]<br>0x0000000000000006|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                                     |[0x800018d8]:mul<br> [0x800018dc]:sd<br> |
| 205|[0x80009670]<br>0xfffffffffffffffc|- rs1_val==3 and rs2_val==6148914691236517204<br>                                                                                                                                                   |[0x80001904]:mul<br> [0x80001908]:sd<br> |
| 206|[0x80009678]<br>0x0000000000000000|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                                     |[0x80001914]:mul<br> [0x80001918]:sd<br> |
| 207|[0x80009680]<br>0x000000000000000c|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                                     |[0x80001924]:mul<br> [0x80001928]:sd<br> |
| 208|[0x80009688]<br>0x9999999999999996|- rs1_val==3 and rs2_val==3689348814741910322<br>                                                                                                                                                   |[0x80001950]:mul<br> [0x80001954]:sd<br> |
| 209|[0x80009690]<br>0x333333333333332f|- rs1_val==3 and rs2_val==7378697629483820645<br>                                                                                                                                                   |[0x8000197c]:mul<br> [0x80001980]:sd<br> |
| 210|[0x80009698]<br>0x000000021f0ed996|- rs1_val==3 and rs2_val==3037000498<br>                                                                                                                                                            |[0x80001998]:mul<br> [0x8000199c]:sd<br> |
| 211|[0x800096a0]<br>0x0000000000000002|- rs1_val==3 and rs2_val==6148914691236517206<br>                                                                                                                                                   |[0x800019c4]:mul<br> [0x800019c8]:sd<br> |
| 212|[0x800096a8]<br>0x0000000000000001|- rs1_val==3 and rs2_val==-6148914691236517205<br>                                                                                                                                                  |[0x800019f0]:mul<br> [0x800019f4]:sd<br> |
| 213|[0x800096b0]<br>0x0000000000000012|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                                     |[0x80001a00]:mul<br> [0x80001a04]:sd<br> |
| 214|[0x800096b8]<br>0x999999999999999c|- rs1_val==3 and rs2_val==3689348814741910324<br>                                                                                                                                                   |[0x80001a2c]:mul<br> [0x80001a30]:sd<br> |
| 215|[0x800096c0]<br>0x3333333333333335|- rs1_val==3 and rs2_val==7378697629483820647<br>                                                                                                                                                   |[0x80001a58]:mul<br> [0x80001a5c]:sd<br> |
| 216|[0x800096c8]<br>0xfffffffde0f1266a|- rs1_val==3 and rs2_val==-3037000498<br>                                                                                                                                                           |[0x80001a74]:mul<br> [0x80001a78]:sd<br> |
| 217|[0x800096d0]<br>0x000000021f0ed99c|- rs1_val==3 and rs2_val==3037000500<br>                                                                                                                                                            |[0x80001a90]:mul<br> [0x80001a94]:sd<br> |
| 218|[0x800096d8]<br>0xffffffffffffffff|- rs1_val==6148914691236517205 and rs2_val==3<br>                                                                                                                                                   |[0x80001abc]:mul<br> [0x80001ac0]:sd<br> |
| 219|[0x800096e0]<br>0x8e38e38e38e38e39|- rs1_val==6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x80001b04]:mul<br> [0x80001b08]:sd<br> |
| 220|[0x800096e8]<br>0x1c71c71c71c71c72|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80001b4c]:mul<br> [0x80001b50]:sd<br> |
| 221|[0x800096f0]<br>0xaaaaaaaaaaaaaaa9|- rs1_val==6148914691236517205 and rs2_val==5<br>                                                                                                                                                   |[0x80001b78]:mul<br> [0x80001b7c]:sd<br> |
| 222|[0x800096f8]<br>0xeeeeeeeeeeeeeeef|- rs1_val==6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80001bc0]:mul<br> [0x80001bc4]:sd<br> |
| 223|[0x80009700]<br>0xddddddddddddddde|- rs1_val==6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80001c08]:mul<br> [0x80001c0c]:sd<br> |
| 224|[0x80009708]<br>0x5555555591ac5111|- rs1_val==6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80001c40]:mul<br> [0x80001c44]:sd<br> |
| 225|[0x80009710]<br>0xaaaaaaaa6e53aeef|- rs1_val==6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                          |[0x80001c78]:mul<br> [0x80001c7c]:sd<br> |
| 226|[0x80009718]<br>0xaaaaaaaaaaaaaaaa|- rs1_val==6148914691236517205 and rs2_val==2<br>                                                                                                                                                   |[0x80001ca4]:mul<br> [0x80001ca8]:sd<br> |
| 227|[0x80009720]<br>0x38e38e38e38e38e4|- rs1_val==6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x80001cec]:mul<br> [0x80001cf0]:sd<br> |
| 228|[0x80009728]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==0<br>                                                                                                                                                   |[0x80001d18]:mul<br> [0x80001d1c]:sd<br> |
| 229|[0x80009730]<br>0x5555555555555554|- rs1_val==6148914691236517205 and rs2_val==4<br>                                                                                                                                                   |[0x80001d44]:mul<br> [0x80001d48]:sd<br> |
| 230|[0x80009738]<br>0x999999999999999a|- rs1_val==6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x80001d8c]:mul<br> [0x80001d90]:sd<br> |
| 231|[0x80009740]<br>0x8888888888888889|- rs1_val==6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x80001dd4]:mul<br> [0x80001dd8]:sd<br> |
| 232|[0x80009748]<br>0x5555555518fe599a|- rs1_val==6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                          |[0x80001e0c]:mul<br> [0x80001e10]:sd<br> |
| 233|[0x80009750]<br>0xe38e38e38e38e38e|- rs1_val==6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x80001e54]:mul<br> [0x80001e58]:sd<br> |
| 234|[0x80009758]<br>0x71c71c71c71c71c7|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x80001e9c]:mul<br> [0x80001ea0]:sd<br> |
| 235|[0x80009760]<br>0xfffffffffffffffe|- rs1_val==6148914691236517205 and rs2_val==6<br>                                                                                                                                                   |[0x80001ec8]:mul<br> [0x80001ecc]:sd<br> |
| 236|[0x80009768]<br>0x4444444444444444|- rs1_val==6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80001f10]:mul<br> [0x80001f14]:sd<br> |
| 237|[0x80009770]<br>0x3333333333333333|- rs1_val==6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80001f58]:mul<br> [0x80001f5c]:sd<br> |
| 238|[0x80009778]<br>0xaaaaaaaae701a666|- rs1_val==6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80001f90]:mul<br> [0x80001f94]:sd<br> |
| 239|[0x80009780]<br>0xffffffffc3a90444|- rs1_val==6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                          |[0x80001fc8]:mul<br> [0x80001fcc]:sd<br> |
| 240|[0x80009788]<br>0xfffffffffffffffe|- rs1_val==-6148914691236517206 and rs2_val==3<br>                                                                                                                                                  |[0x80001ff4]:mul<br> [0x80001ff8]:sd<br> |
| 241|[0x80009790]<br>0x1c71c71c71c71c72|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                                |[0x8000203c]:mul<br> [0x80002040]:sd<br> |
| 242|[0x80009798]<br>0x38e38e38e38e38e4|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                               |[0x80002084]:mul<br> [0x80002088]:sd<br> |
| 243|[0x800097a0]<br>0x5555555555555552|- rs1_val==-6148914691236517206 and rs2_val==5<br>                                                                                                                                                  |[0x800020b0]:mul<br> [0x800020b4]:sd<br> |
| 244|[0x800097a8]<br>0xddddddddddddddde|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                                |[0x800020f8]:mul<br> [0x800020fc]:sd<br> |
| 245|[0x800097b0]<br>0xbbbbbbbbbbbbbbbc|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                                |[0x80002140]:mul<br> [0x80002144]:sd<br> |
| 246|[0x800097b8]<br>0xaaaaaaab2358a222|- rs1_val==-6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                                        |[0x80002178]:mul<br> [0x8000217c]:sd<br> |
| 247|[0x800097c0]<br>0x55555554dca75dde|- rs1_val==-6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                         |[0x800021b0]:mul<br> [0x800021b4]:sd<br> |
| 248|[0x800097c8]<br>0x5555555555555554|- rs1_val==-6148914691236517206 and rs2_val==2<br>                                                                                                                                                  |[0x800021dc]:mul<br> [0x800021e0]:sd<br> |
| 249|[0x800097d0]<br>0x71c71c71c71c71c8|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                                |[0x80002224]:mul<br> [0x80002228]:sd<br> |
| 250|[0x800097d8]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==0<br>                                                                                                                                                  |[0x80002250]:mul<br> [0x80002254]:sd<br> |
| 251|[0x800097e0]<br>0xaaaaaaaaaaaaaaa8|- rs1_val==-6148914691236517206 and rs2_val==4<br>                                                                                                                                                  |[0x8000227c]:mul<br> [0x80002280]:sd<br> |
| 252|[0x800097e8]<br>0x3333333333333334|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                                |[0x800022c4]:mul<br> [0x800022c8]:sd<br> |
| 253|[0x800097f0]<br>0x1111111111111112|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                                |[0x8000230c]:mul<br> [0x80002310]:sd<br> |
| 254|[0x800097f8]<br>0xaaaaaaaa31fcb334|- rs1_val==-6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                         |[0x80002344]:mul<br> [0x80002348]:sd<br> |
| 255|[0x80009800]<br>0xc71c71c71c71c71c|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                                |[0x8000238c]:mul<br> [0x80002390]:sd<br> |
| 256|[0x80009808]<br>0xe38e38e38e38e38e|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                               |[0x800023d4]:mul<br> [0x800023d8]:sd<br> |
| 257|[0x80009810]<br>0xfffffffffffffffc|- rs1_val==-6148914691236517206 and rs2_val==6<br>                                                                                                                                                  |[0x80002400]:mul<br> [0x80002404]:sd<br> |
| 258|[0x80009818]<br>0x8888888888888888|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                                |[0x80002448]:mul<br> [0x8000244c]:sd<br> |
| 259|[0x80009820]<br>0x6666666666666666|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                                |[0x80002490]:mul<br> [0x80002494]:sd<br> |
| 260|[0x80009828]<br>0x55555555ce034ccc|- rs1_val==-6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                                        |[0x800024c8]:mul<br> [0x800024cc]:sd<br> |
| 261|[0x80009830]<br>0xffffffff87520888|- rs1_val==-6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                         |[0x80002500]:mul<br> [0x80002504]:sd<br> |
| 262|[0x80009838]<br>0x000000000000000f|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                                     |[0x80002510]:mul<br> [0x80002514]:sd<br> |
| 263|[0x80009840]<br>0xaaaaaaaaaaaaaaa9|- rs1_val==5 and rs2_val==6148914691236517205<br>                                                                                                                                                   |[0x8000253c]:mul<br> [0x80002540]:sd<br> |
| 264|[0x80009848]<br>0x5555555555555552|- rs1_val==5 and rs2_val==-6148914691236517206<br>                                                                                                                                                  |[0x80002568]:mul<br> [0x8000256c]:sd<br> |
| 265|[0x80009850]<br>0x0000000000000019|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                                     |[0x80002578]:mul<br> [0x8000257c]:sd<br> |
| 266|[0x80009858]<br>0xffffffffffffffff|- rs1_val==5 and rs2_val==3689348814741910323<br>                                                                                                                                                   |[0x800025a4]:mul<br> [0x800025a8]:sd<br> |
| 267|[0x80009860]<br>0xfffffffffffffffe|- rs1_val==5 and rs2_val==7378697629483820646<br>                                                                                                                                                   |[0x800025d0]:mul<br> [0x800025d4]:sd<br> |
| 268|[0x80009868]<br>0xfffffffc76e74001|- rs1_val==5 and rs2_val==-3037000499<br>                                                                                                                                                           |[0x800025ec]:mul<br> [0x800025f0]:sd<br> |
| 269|[0x80009870]<br>0x000000038918bfff|- rs1_val==5 and rs2_val==3037000499<br>                                                                                                                                                            |[0x80002608]:mul<br> [0x8000260c]:sd<br> |
| 270|[0x80009878]<br>0x000000000000000a|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                                     |[0x80002618]:mul<br> [0x8000261c]:sd<br> |
| 271|[0x80009880]<br>0xaaaaaaaaaaaaaaa4|- rs1_val==5 and rs2_val==6148914691236517204<br>                                                                                                                                                   |[0x80002644]:mul<br> [0x80002648]:sd<br> |
| 272|[0x80009888]<br>0x0000000000000000|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                                     |[0x80002654]:mul<br> [0x80002658]:sd<br> |
| 273|[0x80009890]<br>0x0000000000000014|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                                     |[0x80002664]:mul<br> [0x80002668]:sd<br> |
| 274|[0x80009898]<br>0xfffffffffffffffa|- rs1_val==5 and rs2_val==3689348814741910322<br>                                                                                                                                                   |[0x80002690]:mul<br> [0x80002694]:sd<br> |
| 275|[0x800098a0]<br>0xfffffffffffffff9|- rs1_val==5 and rs2_val==7378697629483820645<br>                                                                                                                                                   |[0x800026bc]:mul<br> [0x800026c0]:sd<br> |
| 276|[0x800098a8]<br>0x000000038918bffa|- rs1_val==5 and rs2_val==3037000498<br>                                                                                                                                                            |[0x800026e0]:mul<br> [0x800026e4]:sd<br> |
| 277|[0x800098b0]<br>0xaaaaaaaaaaaaaaae|- rs1_val==5 and rs2_val==6148914691236517206<br>                                                                                                                                                   |[0x8000270c]:mul<br> [0x80002710]:sd<br> |
| 278|[0x800098b8]<br>0x5555555555555557|- rs1_val==5 and rs2_val==-6148914691236517205<br>                                                                                                                                                  |[0x80002738]:mul<br> [0x8000273c]:sd<br> |
| 279|[0x800098c0]<br>0x000000000000001e|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                                     |[0x80002748]:mul<br> [0x8000274c]:sd<br> |
| 280|[0x800098c8]<br>0x0000000000000004|- rs1_val==5 and rs2_val==3689348814741910324<br>                                                                                                                                                   |[0x80002774]:mul<br> [0x80002778]:sd<br> |
| 281|[0x800098d0]<br>0x0000000000000003|- rs1_val==5 and rs2_val==7378697629483820647<br>                                                                                                                                                   |[0x800027a0]:mul<br> [0x800027a4]:sd<br> |
| 282|[0x800098d8]<br>0xfffffffc76e74006|- rs1_val==5 and rs2_val==-3037000498<br>                                                                                                                                                           |[0x800027bc]:mul<br> [0x800027c0]:sd<br> |
| 283|[0x800098e0]<br>0x000000038918c004|- rs1_val==5 and rs2_val==3037000500<br>                                                                                                                                                            |[0x800027d8]:mul<br> [0x800027dc]:sd<br> |
| 284|[0x800098e8]<br>0x9999999999999999|- rs1_val==3689348814741910323 and rs2_val==3<br>                                                                                                                                                   |[0x80002804]:mul<br> [0x80002808]:sd<br> |
| 285|[0x800098f0]<br>0xeeeeeeeeeeeeeeef|- rs1_val==3689348814741910323 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x8000284c]:mul<br> [0x80002850]:sd<br> |
| 286|[0x800098f8]<br>0xddddddddddddddde|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80002894]:mul<br> [0x80002898]:sd<br> |
| 287|[0x80009900]<br>0xffffffffffffffff|- rs1_val==3689348814741910323 and rs2_val==5<br>                                                                                                                                                   |[0x800028c0]:mul<br> [0x800028c4]:sd<br> |
| 288|[0x80009908]<br>0x8f5c28f5c28f5c29|- rs1_val==3689348814741910323 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80002908]:mul<br> [0x8000290c]:sd<br> |
| 289|[0x80009910]<br>0x1eb851eb851eb852|- rs1_val==3689348814741910323 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80002950]:mul<br> [0x80002954]:sd<br> |
| 290|[0x80009918]<br>0x33333333576763d7|- rs1_val==3689348814741910323 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80002988]:mul<br> [0x8000298c]:sd<br> |
| 291|[0x80009920]<br>0xcccccccca8989c29|- rs1_val==3689348814741910323 and rs2_val==3037000499<br>                                                                                                                                          |[0x800029c0]:mul<br> [0x800029c4]:sd<br> |
| 292|[0x80009928]<br>0x6666666666666666|- rs1_val==3689348814741910323 and rs2_val==2<br>                                                                                                                                                   |[0x800029ec]:mul<br> [0x800029f0]:sd<br> |
| 293|[0x80009930]<br>0xbbbbbbbbbbbbbbbc|- rs1_val==3689348814741910323 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x80002a34]:mul<br> [0x80002a38]:sd<br> |
| 294|[0x80009938]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==0<br>                                                                                                                                                   |[0x80002a60]:mul<br> [0x80002a64]:sd<br> |
| 295|[0x80009940]<br>0xcccccccccccccccc|- rs1_val==3689348814741910323 and rs2_val==4<br>                                                                                                                                                   |[0x80002a8c]:mul<br> [0x80002a90]:sd<br> |
| 296|[0x80009948]<br>0x5c28f5c28f5c28f6|- rs1_val==3689348814741910323 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x80002ad4]:mul<br> [0x80002ad8]:sd<br> |
| 297|[0x80009950]<br>0xeb851eb851eb851f|- rs1_val==3689348814741910323 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x80002b1c]:mul<br> [0x80002b20]:sd<br> |
| 298|[0x80009958]<br>0x99999999756568f6|- rs1_val==3689348814741910323 and rs2_val==3037000498<br>                                                                                                                                          |[0x80002b54]:mul<br> [0x80002b58]:sd<br> |
| 299|[0x80009960]<br>0x2222222222222222|- rs1_val==3689348814741910323 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x80002b9c]:mul<br> [0x80002ba0]:sd<br> |
| 300|[0x80009968]<br>0x1111111111111111|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x80002be4]:mul<br> [0x80002be8]:sd<br> |
| 301|[0x80009970]<br>0x3333333333333332|- rs1_val==3689348814741910323 and rs2_val==6<br>                                                                                                                                                   |[0x80002c10]:mul<br> [0x80002c14]:sd<br> |
| 302|[0x80009978]<br>0xc28f5c28f5c28f5c|- rs1_val==3689348814741910323 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80002c58]:mul<br> [0x80002c5c]:sd<br> |
| 303|[0x80009980]<br>0x51eb851eb851eb85|- rs1_val==3689348814741910323 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80002ca0]:mul<br> [0x80002ca4]:sd<br> |
| 304|[0x80009988]<br>0x666666668a9a970a|- rs1_val==3689348814741910323 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80002cd8]:mul<br> [0x80002cdc]:sd<br> |
| 305|[0x80009990]<br>0xffffffffdbcbcf5c|- rs1_val==3689348814741910323 and rs2_val==3037000500<br>                                                                                                                                          |[0x80002d10]:mul<br> [0x80002d14]:sd<br> |
| 306|[0x80009998]<br>0x3333333333333332|- rs1_val==7378697629483820646 and rs2_val==3<br>                                                                                                                                                   |[0x80002d3c]:mul<br> [0x80002d40]:sd<br> |
| 307|[0x800099a0]<br>0xddddddddddddddde|- rs1_val==7378697629483820646 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x80002d84]:mul<br> [0x80002d88]:sd<br> |
| 308|[0x800099a8]<br>0xbbbbbbbbbbbbbbbc|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80002dcc]:mul<br> [0x80002dd0]:sd<br> |
| 309|[0x800099b0]<br>0xfffffffffffffffe|- rs1_val==7378697629483820646 and rs2_val==5<br>                                                                                                                                                   |[0x80002df8]:mul<br> [0x80002dfc]:sd<br> |
| 310|[0x800099b8]<br>0x1eb851eb851eb852|- rs1_val==7378697629483820646 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80002e40]:mul<br> [0x80002e44]:sd<br> |
| 311|[0x800099c8]<br>0x66666666aecec7ae|- rs1_val==7378697629483820646 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80002ec0]:mul<br> [0x80002ec4]:sd<br> |
| 312|[0x800099d0]<br>0x9999999951313852|- rs1_val==7378697629483820646 and rs2_val==3037000499<br>                                                                                                                                          |[0x80002ef8]:mul<br> [0x80002efc]:sd<br> |
| 313|[0x800099d8]<br>0xcccccccccccccccc|- rs1_val==7378697629483820646 and rs2_val==2<br>                                                                                                                                                   |[0x80002f24]:mul<br> [0x80002f28]:sd<br> |
| 314|[0x800099e0]<br>0x7777777777777778|- rs1_val==7378697629483820646 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x80002f6c]:mul<br> [0x80002f70]:sd<br> |
| 315|[0x800099e8]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==0<br>                                                                                                                                                   |[0x80002f98]:mul<br> [0x80002f9c]:sd<br> |
| 316|[0x800099f0]<br>0x9999999999999998|- rs1_val==7378697629483820646 and rs2_val==4<br>                                                                                                                                                   |[0x80002fc4]:mul<br> [0x80002fc8]:sd<br> |
| 317|[0x800099f8]<br>0xb851eb851eb851ec|- rs1_val==7378697629483820646 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x8000300c]:mul<br> [0x80003010]:sd<br> |
| 318|[0x80009a00]<br>0xd70a3d70a3d70a3e|- rs1_val==7378697629483820646 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x80003054]:mul<br> [0x80003058]:sd<br> |
| 319|[0x80009a08]<br>0x33333332eacad1ec|- rs1_val==7378697629483820646 and rs2_val==3037000498<br>                                                                                                                                          |[0x8000308c]:mul<br> [0x80003090]:sd<br> |
| 320|[0x80009a10]<br>0x4444444444444444|- rs1_val==7378697629483820646 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x800030d4]:mul<br> [0x800030d8]:sd<br> |
| 321|[0x80009a18]<br>0x2222222222222222|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x8000311c]:mul<br> [0x80003120]:sd<br> |
| 322|[0x80009a20]<br>0x6666666666666664|- rs1_val==7378697629483820646 and rs2_val==6<br>                                                                                                                                                   |[0x80003148]:mul<br> [0x8000314c]:sd<br> |
| 323|[0x80009a28]<br>0x851eb851eb851eb8|- rs1_val==7378697629483820646 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80003190]:mul<br> [0x80003194]:sd<br> |
| 324|[0x80009a30]<br>0xa3d70a3d70a3d70a|- rs1_val==7378697629483820646 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x800031d8]:mul<br> [0x800031dc]:sd<br> |
| 325|[0x80009a38]<br>0xcccccccd15352e14|- rs1_val==7378697629483820646 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80003210]:mul<br> [0x80003214]:sd<br> |
| 326|[0x80009a40]<br>0xffffffffb7979eb8|- rs1_val==7378697629483820646 and rs2_val==3037000500<br>                                                                                                                                          |[0x80003248]:mul<br> [0x8000324c]:sd<br> |
| 327|[0x80009a48]<br>0xfffffffde0f12667|- rs1_val==-3037000499 and rs2_val==3<br>                                                                                                                                                           |[0x80003264]:mul<br> [0x80003268]:sd<br> |
| 328|[0x80009a50]<br>0x5555555591ac5111|- rs1_val==-3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                         |[0x8000329c]:mul<br> [0x800032a0]:sd<br> |
| 329|[0x80009a58]<br>0xaaaaaaab2358a222|- rs1_val==-3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                                        |[0x800032d4]:mul<br> [0x800032d8]:sd<br> |
| 330|[0x80009a60]<br>0xfffffffc76e74001|- rs1_val==-3037000499 and rs2_val==5<br>                                                                                                                                                           |[0x800032f0]:mul<br> [0x800032f4]:sd<br> |
| 331|[0x80009a68]<br>0x33333333576763d7|- rs1_val==-3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                         |[0x80003328]:mul<br> [0x8000332c]:sd<br> |
| 332|[0x80009a70]<br>0x66666666aecec7ae|- rs1_val==-3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                         |[0x80003360]:mul<br> [0x80003364]:sd<br> |
| 333|[0x80009a78]<br>0x7ffffffe9ea1dc29|- rs1_val==-3037000499 and rs2_val==-3037000499<br>                                                                                                                                                 |[0x80003388]:mul<br> [0x8000338c]:sd<br> |
| 334|[0x80009a80]<br>0x80000001615e23d7|- rs1_val==-3037000499 and rs2_val==3037000499<br>                                                                                                                                                  |[0x800033b0]:mul<br> [0x800033b4]:sd<br> |
| 335|[0x80009a88]<br>0xfffffffe95f6199a|- rs1_val==-3037000499 and rs2_val==2<br>                                                                                                                                                           |[0x800033cc]:mul<br> [0x800033d0]:sd<br> |
| 336|[0x80009a90]<br>0x5555555646b14444|- rs1_val==-3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                         |[0x80003404]:mul<br> [0x80003408]:sd<br> |
| 337|[0x80009a98]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==0<br>                                                                                                                                                           |[0x80003420]:mul<br> [0x80003424]:sd<br> |
| 338|[0x80009aa0]<br>0xfffffffd2bec3334|- rs1_val==-3037000499 and rs2_val==4<br>                                                                                                                                                           |[0x8000343c]:mul<br> [0x80003440]:sd<br> |
| 339|[0x80009aa8]<br>0x333333340c6c570a|- rs1_val==-3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                         |[0x80003474]:mul<br> [0x80003478]:sd<br> |
| 340|[0x80009ab0]<br>0x6666666763d3bae1|- rs1_val==-3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                         |[0x800034ac]:mul<br> [0x800034b0]:sd<br> |
| 341|[0x80009ab8]<br>0x800000021663170a|- rs1_val==-3037000499 and rs2_val==3037000498<br>                                                                                                                                                  |[0x800034d4]:mul<br> [0x800034d8]:sd<br> |
| 342|[0x80009ac0]<br>0x55555554dca75dde|- rs1_val==-3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                         |[0x8000350c]:mul<br> [0x80003510]:sd<br> |
| 343|[0x80009ac8]<br>0xaaaaaaaa6e53aeef|- rs1_val==-3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                                        |[0x80003544]:mul<br> [0x80003548]:sd<br> |
| 344|[0x80009ad0]<br>0xfffffffbc1e24cce|- rs1_val==-3037000499 and rs2_val==6<br>                                                                                                                                                           |[0x80003560]:mul<br> [0x80003564]:sd<br> |
| 345|[0x80009ad8]<br>0x33333332a26270a4|- rs1_val==-3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                         |[0x80003598]:mul<br> [0x8000359c]:sd<br> |
| 346|[0x80009ae0]<br>0x66666665f9c9d47b|- rs1_val==-3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                         |[0x800035d0]:mul<br> [0x800035d4]:sd<br> |
| 347|[0x80009ae8]<br>0x7ffffffde99ce8f6|- rs1_val==-3037000499 and rs2_val==-3037000498<br>                                                                                                                                                 |[0x800035f8]:mul<br> [0x800035fc]:sd<br> |
| 348|[0x80009af0]<br>0x80000000ac5930a4|- rs1_val==-3037000499 and rs2_val==3037000500<br>                                                                                                                                                  |[0x80003620]:mul<br> [0x80003624]:sd<br> |
| 349|[0x80009af8]<br>0x000000021f0ed999|- rs1_val==3037000499 and rs2_val==3<br>                                                                                                                                                            |[0x8000363c]:mul<br> [0x80003640]:sd<br> |
| 350|[0x80009b00]<br>0xaaaaaaaa6e53aeef|- rs1_val==3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                          |[0x80003674]:mul<br> [0x80003678]:sd<br> |
| 351|[0x80009b08]<br>0x55555554dca75dde|- rs1_val==3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                                         |[0x800036ac]:mul<br> [0x800036b0]:sd<br> |
| 352|[0x80009b10]<br>0x000000038918bfff|- rs1_val==3037000499 and rs2_val==5<br>                                                                                                                                                            |[0x800036c8]:mul<br> [0x800036cc]:sd<br> |
| 353|[0x80009b18]<br>0xcccccccca8989c29|- rs1_val==3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                          |[0x80003700]:mul<br> [0x80003704]:sd<br> |
| 354|[0x80009b20]<br>0x9999999951313852|- rs1_val==3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                          |[0x80003738]:mul<br> [0x8000373c]:sd<br> |
| 355|[0x80009b28]<br>0x80000001615e23d7|- rs1_val==3037000499 and rs2_val==-3037000499<br>                                                                                                                                                  |[0x80003760]:mul<br> [0x80003764]:sd<br> |
| 356|[0x80009b30]<br>0x7ffffffe9ea1dc29|- rs1_val==3037000499 and rs2_val==3037000499<br>                                                                                                                                                   |[0x80003788]:mul<br> [0x8000378c]:sd<br> |
| 357|[0x80009b38]<br>0x000000016a09e666|- rs1_val==3037000499 and rs2_val==2<br>                                                                                                                                                            |[0x800037a4]:mul<br> [0x800037a8]:sd<br> |
| 358|[0x80009b40]<br>0xaaaaaaa9b94ebbbc|- rs1_val==3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                          |[0x800037dc]:mul<br> [0x800037e0]:sd<br> |
| 359|[0x80009b48]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==0<br>                                                                                                                                                            |[0x800037f8]:mul<br> [0x800037fc]:sd<br> |
| 360|[0x80009b50]<br>0x00000002d413cccc|- rs1_val==3037000499 and rs2_val==4<br>                                                                                                                                                            |[0x80003814]:mul<br> [0x80003818]:sd<br> |
| 361|[0x80009b58]<br>0xcccccccbf393a8f6|- rs1_val==3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                          |[0x8000384c]:mul<br> [0x80003850]:sd<br> |
| 362|[0x80009b60]<br>0x999999989c2c451f|- rs1_val==3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                          |[0x80003884]:mul<br> [0x80003888]:sd<br> |
| 363|[0x80009b68]<br>0x7ffffffde99ce8f6|- rs1_val==3037000499 and rs2_val==3037000498<br>                                                                                                                                                   |[0x800038ac]:mul<br> [0x800038b0]:sd<br> |
| 364|[0x80009b70]<br>0xaaaaaaab2358a222|- rs1_val==3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                          |[0x800038e4]:mul<br> [0x800038e8]:sd<br> |
| 365|[0x80009b78]<br>0x5555555591ac5111|- rs1_val==3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                                         |[0x8000391c]:mul<br> [0x80003920]:sd<br> |
| 366|[0x80009b80]<br>0x000000043e1db332|- rs1_val==3037000499 and rs2_val==6<br>                                                                                                                                                            |[0x80003938]:mul<br> [0x8000393c]:sd<br> |
| 367|[0x80009b88]<br>0xcccccccd5d9d8f5c|- rs1_val==3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                          |[0x80003970]:mul<br> [0x80003974]:sd<br> |
| 368|[0x80009b90]<br>0x9999999a06362b85|- rs1_val==3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                          |[0x800039a8]:mul<br> [0x800039ac]:sd<br> |
| 369|[0x80009b98]<br>0x800000021663170a|- rs1_val==3037000499 and rs2_val==-3037000498<br>                                                                                                                                                  |[0x800039d0]:mul<br> [0x800039d4]:sd<br> |
| 370|[0x80009ba0]<br>0x7fffffff53a6cf5c|- rs1_val==3037000499 and rs2_val==3037000500<br>                                                                                                                                                   |[0x800039f8]:mul<br> [0x800039fc]:sd<br> |
| 371|[0x80009ba8]<br>0x0000000000000006|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                                     |[0x80003a08]:mul<br> [0x80003a0c]:sd<br> |
| 372|[0x80009bb0]<br>0xaaaaaaaaaaaaaaaa|- rs1_val==2 and rs2_val==6148914691236517205<br>                                                                                                                                                   |[0x80003a34]:mul<br> [0x80003a38]:sd<br> |
| 373|[0x80009bb8]<br>0x5555555555555554|- rs1_val==2 and rs2_val==-6148914691236517206<br>                                                                                                                                                  |[0x80003a60]:mul<br> [0x80003a64]:sd<br> |
| 374|[0x80009bc0]<br>0x000000000000000a|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                                     |[0x80003a70]:mul<br> [0x80003a74]:sd<br> |
| 375|[0x80009bc8]<br>0x6666666666666666|- rs1_val==2 and rs2_val==3689348814741910323<br>                                                                                                                                                   |[0x80003a9c]:mul<br> [0x80003aa0]:sd<br> |
| 376|[0x80009bd0]<br>0xcccccccccccccccc|- rs1_val==2 and rs2_val==7378697629483820646<br>                                                                                                                                                   |[0x80003ac8]:mul<br> [0x80003acc]:sd<br> |
| 377|[0x80009bd8]<br>0xfffffffe95f6199a|- rs1_val==2 and rs2_val==-3037000499<br>                                                                                                                                                           |[0x80003ae4]:mul<br> [0x80003ae8]:sd<br> |
| 378|[0x80009be0]<br>0x000000016a09e666|- rs1_val==2 and rs2_val==3037000499<br>                                                                                                                                                            |[0x80003b00]:mul<br> [0x80003b04]:sd<br> |
| 379|[0x80009be8]<br>0x0000000000000004|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                                     |[0x80003b10]:mul<br> [0x80003b14]:sd<br> |
| 380|[0x80009bf0]<br>0xaaaaaaaaaaaaaaa8|- rs1_val==2 and rs2_val==6148914691236517204<br>                                                                                                                                                   |[0x80003b3c]:mul<br> [0x80003b40]:sd<br> |
| 381|[0x80009bf8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                                     |[0x80003b4c]:mul<br> [0x80003b50]:sd<br> |
| 382|[0x80009c00]<br>0x0000000000000008|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                                     |[0x80003b5c]:mul<br> [0x80003b60]:sd<br> |
| 383|[0x80009c08]<br>0x6666666666666664|- rs1_val==2 and rs2_val==3689348814741910322<br>                                                                                                                                                   |[0x80003b88]:mul<br> [0x80003b8c]:sd<br> |
| 384|[0x80009c10]<br>0xccccccccccccccca|- rs1_val==2 and rs2_val==7378697629483820645<br>                                                                                                                                                   |[0x80003bb4]:mul<br> [0x80003bb8]:sd<br> |
| 385|[0x80009c18]<br>0x000000016a09e664|- rs1_val==2 and rs2_val==3037000498<br>                                                                                                                                                            |[0x80003bd0]:mul<br> [0x80003bd4]:sd<br> |
| 386|[0x80009c20]<br>0xaaaaaaaaaaaaaaac|- rs1_val==2 and rs2_val==6148914691236517206<br>                                                                                                                                                   |[0x80003bfc]:mul<br> [0x80003c00]:sd<br> |
| 387|[0x80009c28]<br>0x5555555555555556|- rs1_val==2 and rs2_val==-6148914691236517205<br>                                                                                                                                                  |[0x80003c28]:mul<br> [0x80003c2c]:sd<br> |
| 388|[0x80009c30]<br>0x000000000000000c|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                                     |[0x80003c38]:mul<br> [0x80003c3c]:sd<br> |
| 389|[0x80009c38]<br>0x6666666666666668|- rs1_val==2 and rs2_val==3689348814741910324<br>                                                                                                                                                   |[0x80003c64]:mul<br> [0x80003c68]:sd<br> |
| 390|[0x80009c40]<br>0xccccccccccccccce|- rs1_val==2 and rs2_val==7378697629483820647<br>                                                                                                                                                   |[0x80003c90]:mul<br> [0x80003c94]:sd<br> |
| 391|[0x80009c48]<br>0xfffffffe95f6199c|- rs1_val==2 and rs2_val==-3037000498<br>                                                                                                                                                           |[0x80003cac]:mul<br> [0x80003cb0]:sd<br> |
| 392|[0x80009c50]<br>0x000000016a09e668|- rs1_val==2 and rs2_val==3037000500<br>                                                                                                                                                            |[0x80003cc8]:mul<br> [0x80003ccc]:sd<br> |
| 393|[0x80009c58]<br>0xfffffffffffffffc|- rs1_val==6148914691236517204 and rs2_val==3<br>                                                                                                                                                   |[0x80003cf4]:mul<br> [0x80003cf8]:sd<br> |
| 394|[0x80009c60]<br>0x38e38e38e38e38e4|- rs1_val==6148914691236517204 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x80003d3c]:mul<br> [0x80003d40]:sd<br> |
| 395|[0x80009c68]<br>0x71c71c71c71c71c8|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80003d84]:mul<br> [0x80003d88]:sd<br> |
| 396|[0x80009c70]<br>0xaaaaaaaaaaaaaaa4|- rs1_val==6148914691236517204 and rs2_val==5<br>                                                                                                                                                   |[0x80003db0]:mul<br> [0x80003db4]:sd<br> |
| 397|[0x80009c78]<br>0xbbbbbbbbbbbbbbbc|- rs1_val==6148914691236517204 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80003df8]:mul<br> [0x80003dfc]:sd<br> |
| 398|[0x80009c80]<br>0x7777777777777778|- rs1_val==6148914691236517204 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80003e40]:mul<br> [0x80003e44]:sd<br> |
| 399|[0x80009c88]<br>0x5555555646b14444|- rs1_val==6148914691236517204 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80003e78]:mul<br> [0x80003e7c]:sd<br> |
| 400|[0x80009c90]<br>0xaaaaaaa9b94ebbbc|- rs1_val==6148914691236517204 and rs2_val==3037000499<br>                                                                                                                                          |[0x80003eb0]:mul<br> [0x80003eb4]:sd<br> |
| 401|[0x80009c98]<br>0xaaaaaaaaaaaaaaa8|- rs1_val==6148914691236517204 and rs2_val==2<br>                                                                                                                                                   |[0x80003edc]:mul<br> [0x80003ee0]:sd<br> |
| 402|[0x80009ca0]<br>0xe38e38e38e38e390|- rs1_val==6148914691236517204 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x80003f24]:mul<br> [0x80003f28]:sd<br> |
| 403|[0x80009ca8]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==0<br>                                                                                                                                                   |[0x80003f50]:mul<br> [0x80003f54]:sd<br> |
| 404|[0x80009cb0]<br>0x5555555555555550|- rs1_val==6148914691236517204 and rs2_val==4<br>                                                                                                                                                   |[0x80003f7c]:mul<br> [0x80003f80]:sd<br> |
| 405|[0x80009cb8]<br>0x6666666666666668|- rs1_val==6148914691236517204 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x80003fc4]:mul<br> [0x80003fc8]:sd<br> |
| 406|[0x80009cc0]<br>0x2222222222222224|- rs1_val==6148914691236517204 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x8000400c]:mul<br> [0x80004010]:sd<br> |
| 407|[0x80009cc8]<br>0x5555555463f96668|- rs1_val==6148914691236517204 and rs2_val==3037000498<br>                                                                                                                                          |[0x80004044]:mul<br> [0x80004048]:sd<br> |
| 408|[0x80009cd0]<br>0x8e38e38e38e38e38|- rs1_val==6148914691236517204 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x8000408c]:mul<br> [0x80004090]:sd<br> |
| 409|[0x80009cd8]<br>0xc71c71c71c71c71c|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x800040d4]:mul<br> [0x800040d8]:sd<br> |
| 410|[0x80009ce0]<br>0xfffffffffffffff8|- rs1_val==6148914691236517204 and rs2_val==6<br>                                                                                                                                                   |[0x80004100]:mul<br> [0x80004104]:sd<br> |
| 411|[0x80009ce8]<br>0x1111111111111110|- rs1_val==6148914691236517204 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80004148]:mul<br> [0x8000414c]:sd<br> |
| 412|[0x80009cf0]<br>0xcccccccccccccccc|- rs1_val==6148914691236517204 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80004190]:mul<br> [0x80004194]:sd<br> |
| 413|[0x80009cf8]<br>0xaaaaaaab9c069998|- rs1_val==6148914691236517204 and rs2_val==-3037000498<br>                                                                                                                                         |[0x800041c8]:mul<br> [0x800041cc]:sd<br> |
| 414|[0x80009d00]<br>0xffffffff0ea41110|- rs1_val==6148914691236517204 and rs2_val==3037000500<br>                                                                                                                                          |[0x80004200]:mul<br> [0x80004204]:sd<br> |
| 415|[0x80009d08]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                                     |[0x80004210]:mul<br> [0x80004214]:sd<br> |
| 416|[0x80009d10]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517205<br>                                                                                                                                                   |[0x8000423c]:mul<br> [0x80004240]:sd<br> |
| 417|[0x80009d18]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-6148914691236517206<br>                                                                                                                                                  |[0x80004268]:mul<br> [0x8000426c]:sd<br> |
| 418|[0x80009d20]<br>0x0000000000000000|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                                     |[0x80004278]:mul<br> [0x8000427c]:sd<br> |
| 419|[0x80009d28]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910323<br>                                                                                                                                                   |[0x800042a4]:mul<br> [0x800042a8]:sd<br> |
| 420|[0x80009d30]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820646<br>                                                                                                                                                   |[0x800042d0]:mul<br> [0x800042d4]:sd<br> |
| 421|[0x80009d38]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-3037000499<br>                                                                                                                                                           |[0x800042ec]:mul<br> [0x800042f0]:sd<br> |
| 422|[0x80009d40]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-3037000498<br>                                                                                                                                                           |[0x80004308]:mul<br> [0x8000430c]:sd<br> |
| 423|[0x80009d48]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000500<br>                                                                                                                                                            |[0x80004324]:mul<br> [0x80004328]:sd<br> |
| 424|[0x80009d50]<br>0x000000000000000c|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                                     |[0x80004334]:mul<br> [0x80004338]:sd<br> |
| 425|[0x80009d58]<br>0xaaaaaaaaaaaaaaa8|- rs1_val==4 and rs2_val==-6148914691236517206<br>                                                                                                                                                  |[0x80004360]:mul<br> [0x80004364]:sd<br> |
| 426|[0x80009d60]<br>0x0000000000000014|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                                     |[0x80004370]:mul<br> [0x80004374]:sd<br> |
| 427|[0x80009d68]<br>0xcccccccccccccccc|- rs1_val==4 and rs2_val==3689348814741910323<br>                                                                                                                                                   |[0x8000439c]:mul<br> [0x800043a0]:sd<br> |
| 428|[0x80009d70]<br>0x9999999999999998|- rs1_val==4 and rs2_val==7378697629483820646<br>                                                                                                                                                   |[0x800043c8]:mul<br> [0x800043cc]:sd<br> |
| 429|[0x80009d78]<br>0xfffffffd2bec3334|- rs1_val==4 and rs2_val==-3037000499<br>                                                                                                                                                           |[0x800043e4]:mul<br> [0x800043e8]:sd<br> |
| 430|[0x80009d80]<br>0x00000002d413cccc|- rs1_val==4 and rs2_val==3037000499<br>                                                                                                                                                            |[0x80004400]:mul<br> [0x80004404]:sd<br> |
| 431|[0x80009d88]<br>0x0000000000000008|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                                     |[0x80004410]:mul<br> [0x80004414]:sd<br> |
| 432|[0x80009d90]<br>0x5555555555555550|- rs1_val==4 and rs2_val==6148914691236517204<br>                                                                                                                                                   |[0x8000443c]:mul<br> [0x80004440]:sd<br> |
| 433|[0x80009d98]<br>0x0000000000000000|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                                     |[0x8000444c]:mul<br> [0x80004450]:sd<br> |
| 434|[0x80009da0]<br>0x0000000000000010|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                                     |[0x8000445c]:mul<br> [0x80004460]:sd<br> |
| 435|[0x80009da8]<br>0xccccccccccccccc8|- rs1_val==4 and rs2_val==3689348814741910322<br>                                                                                                                                                   |[0x80004488]:mul<br> [0x8000448c]:sd<br> |
| 436|[0x80009db0]<br>0x9999999999999994|- rs1_val==4 and rs2_val==7378697629483820645<br>                                                                                                                                                   |[0x800044b4]:mul<br> [0x800044b8]:sd<br> |
| 437|[0x80009db8]<br>0x00000002d413ccc8|- rs1_val==4 and rs2_val==3037000498<br>                                                                                                                                                            |[0x800044d0]:mul<br> [0x800044d4]:sd<br> |
| 438|[0x80009dc0]<br>0x5555555555555558|- rs1_val==4 and rs2_val==6148914691236517206<br>                                                                                                                                                   |[0x800044fc]:mul<br> [0x80004500]:sd<br> |
| 439|[0x80009dc8]<br>0xaaaaaaaaaaaaaaac|- rs1_val==4 and rs2_val==-6148914691236517205<br>                                                                                                                                                  |[0x80004528]:mul<br> [0x8000452c]:sd<br> |
| 440|[0x80009dd0]<br>0x0000000000000018|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                                     |[0x80004538]:mul<br> [0x8000453c]:sd<br> |
| 441|[0x80009dd8]<br>0xccccccccccccccd0|- rs1_val==4 and rs2_val==3689348814741910324<br>                                                                                                                                                   |[0x80004564]:mul<br> [0x80004568]:sd<br> |
| 442|[0x80009de0]<br>0x999999999999999c|- rs1_val==4 and rs2_val==7378697629483820647<br>                                                                                                                                                   |[0x80004590]:mul<br> [0x80004594]:sd<br> |
| 443|[0x80009de8]<br>0xfffffffd2bec3338|- rs1_val==4 and rs2_val==-3037000498<br>                                                                                                                                                           |[0x800045ac]:mul<br> [0x800045b0]:sd<br> |
| 444|[0x80009df0]<br>0x00000002d413ccd0|- rs1_val==4 and rs2_val==3037000500<br>                                                                                                                                                            |[0x800045c8]:mul<br> [0x800045cc]:sd<br> |
| 445|[0x80009df8]<br>0x9999999999999996|- rs1_val==3689348814741910322 and rs2_val==3<br>                                                                                                                                                   |[0x800045f4]:mul<br> [0x800045f8]:sd<br> |
| 446|[0x80009e00]<br>0x999999999999999a|- rs1_val==3689348814741910322 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x8000463c]:mul<br> [0x80004640]:sd<br> |
| 447|[0x80009e08]<br>0x3333333333333334|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80004684]:mul<br> [0x80004688]:sd<br> |
| 448|[0x80009e10]<br>0xfffffffffffffffa|- rs1_val==3689348814741910322 and rs2_val==5<br>                                                                                                                                                   |[0x800046b0]:mul<br> [0x800046b4]:sd<br> |
| 449|[0x80009e18]<br>0x5c28f5c28f5c28f6|- rs1_val==3689348814741910322 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x800046f8]:mul<br> [0x800046fc]:sd<br> |
| 450|[0x80009e20]<br>0xb851eb851eb851ec|- rs1_val==3689348814741910322 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80004740]:mul<br> [0x80004744]:sd<br> |
| 451|[0x80009e28]<br>0x333333340c6c570a|- rs1_val==3689348814741910322 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80004778]:mul<br> [0x8000477c]:sd<br> |
| 452|[0x80009e30]<br>0xcccccccbf393a8f6|- rs1_val==3689348814741910322 and rs2_val==3037000499<br>                                                                                                                                          |[0x800047b0]:mul<br> [0x800047b4]:sd<br> |
| 453|[0x80009e38]<br>0x6666666666666664|- rs1_val==3689348814741910322 and rs2_val==2<br>                                                                                                                                                   |[0x800047dc]:mul<br> [0x800047e0]:sd<br> |
| 454|[0x80009e40]<br>0x6666666666666668|- rs1_val==3689348814741910322 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x80004824]:mul<br> [0x80004828]:sd<br> |
| 455|[0x80009e48]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==0<br>                                                                                                                                                   |[0x80004850]:mul<br> [0x80004854]:sd<br> |
| 456|[0x80009e50]<br>0xccccccccccccccc8|- rs1_val==3689348814741910322 and rs2_val==4<br>                                                                                                                                                   |[0x8000487c]:mul<br> [0x80004880]:sd<br> |
| 457|[0x80009e58]<br>0x28f5c28f5c28f5c4|- rs1_val==3689348814741910322 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x800048c4]:mul<br> [0x800048c8]:sd<br> |
| 458|[0x80009e60]<br>0x851eb851eb851eba|- rs1_val==3689348814741910322 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x8000490c]:mul<br> [0x80004910]:sd<br> |
| 459|[0x80009e68]<br>0x99999998c06075c4|- rs1_val==3689348814741910322 and rs2_val==3037000498<br>                                                                                                                                          |[0x80004944]:mul<br> [0x80004948]:sd<br> |
| 460|[0x80009e70]<br>0xcccccccccccccccc|- rs1_val==3689348814741910322 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x8000498c]:mul<br> [0x80004990]:sd<br> |
| 461|[0x80009e78]<br>0x6666666666666666|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x800049d4]:mul<br> [0x800049d8]:sd<br> |
| 462|[0x80009e80]<br>0x333333333333332c|- rs1_val==3689348814741910322 and rs2_val==6<br>                                                                                                                                                   |[0x80004a00]:mul<br> [0x80004a04]:sd<br> |
| 463|[0x80009e88]<br>0x8f5c28f5c28f5c28|- rs1_val==3689348814741910322 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80004a48]:mul<br> [0x80004a4c]:sd<br> |
| 464|[0x80009e90]<br>0xeb851eb851eb851e|- rs1_val==3689348814741910322 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80004a90]:mul<br> [0x80004a94]:sd<br> |
| 465|[0x80009e98]<br>0x666666673f9f8a3c|- rs1_val==3689348814741910322 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80004ac8]:mul<br> [0x80004acc]:sd<br> |
| 466|[0x80009ea0]<br>0xffffffff26c6dc28|- rs1_val==3689348814741910322 and rs2_val==3037000500<br>                                                                                                                                          |[0x80004b00]:mul<br> [0x80004b04]:sd<br> |
| 467|[0x80009ea8]<br>0x333333333333332f|- rs1_val==7378697629483820645 and rs2_val==3<br>                                                                                                                                                   |[0x80004b2c]:mul<br> [0x80004b30]:sd<br> |
| 468|[0x80009eb0]<br>0x8888888888888889|- rs1_val==7378697629483820645 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x80004b74]:mul<br> [0x80004b78]:sd<br> |
| 469|[0x80009eb8]<br>0x1111111111111112|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80004bbc]:mul<br> [0x80004bc0]:sd<br> |
| 470|[0x80009ec0]<br>0xfffffffffffffff9|- rs1_val==7378697629483820645 and rs2_val==5<br>                                                                                                                                                   |[0x80004be8]:mul<br> [0x80004bec]:sd<br> |
| 471|[0x80009ec8]<br>0xeb851eb851eb851f|- rs1_val==7378697629483820645 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80004c30]:mul<br> [0x80004c34]:sd<br> |
| 472|[0x80009ed0]<br>0xd70a3d70a3d70a3e|- rs1_val==7378697629483820645 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80004c78]:mul<br> [0x80004c7c]:sd<br> |
| 473|[0x80009ed8]<br>0x6666666763d3bae1|- rs1_val==7378697629483820645 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80004cb0]:mul<br> [0x80004cb4]:sd<br> |
| 474|[0x80009ee0]<br>0x999999989c2c451f|- rs1_val==7378697629483820645 and rs2_val==3037000499<br>                                                                                                                                          |[0x80004ce8]:mul<br> [0x80004cec]:sd<br> |
| 475|[0x80009ee8]<br>0xccccccccccccccca|- rs1_val==7378697629483820645 and rs2_val==2<br>                                                                                                                                                   |[0x80004d14]:mul<br> [0x80004d18]:sd<br> |
| 476|[0x80009ef0]<br>0x2222222222222224|- rs1_val==7378697629483820645 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x80004d5c]:mul<br> [0x80004d60]:sd<br> |
| 477|[0x80009ef8]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==0<br>                                                                                                                                                   |[0x80004d88]:mul<br> [0x80004d8c]:sd<br> |
| 478|[0x80009f00]<br>0x9999999999999994|- rs1_val==7378697629483820645 and rs2_val==4<br>                                                                                                                                                   |[0x80004db4]:mul<br> [0x80004db8]:sd<br> |
| 479|[0x80009f08]<br>0x851eb851eb851eba|- rs1_val==7378697629483820645 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x80004dfc]:mul<br> [0x80004e00]:sd<br> |
| 480|[0x80009f10]<br>0x70a3d70a3d70a3d9|- rs1_val==7378697629483820645 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x80004e44]:mul<br> [0x80004e48]:sd<br> |
| 481|[0x80009f18]<br>0x3333333235c5deba|- rs1_val==7378697629483820645 and rs2_val==3037000498<br>                                                                                                                                          |[0x80004e7c]:mul<br> [0x80004e80]:sd<br> |
| 482|[0x80009f20]<br>0xeeeeeeeeeeeeeeee|- rs1_val==7378697629483820645 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x80004ec4]:mul<br> [0x80004ec8]:sd<br> |
| 483|[0x80009f28]<br>0x7777777777777777|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x80004f0c]:mul<br> [0x80004f10]:sd<br> |
| 484|[0x80009f30]<br>0x666666666666665e|- rs1_val==7378697629483820645 and rs2_val==6<br>                                                                                                                                                   |[0x80004f38]:mul<br> [0x80004f3c]:sd<br> |
| 485|[0x80009f38]<br>0x51eb851eb851eb84|- rs1_val==7378697629483820645 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80004f80]:mul<br> [0x80004f84]:sd<br> |
| 486|[0x80009f40]<br>0x3d70a3d70a3d70a3|- rs1_val==7378697629483820645 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80004fc8]:mul<br> [0x80004fcc]:sd<br> |
| 487|[0x80009f48]<br>0xcccccccdca3a2146|- rs1_val==7378697629483820645 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80005000]:mul<br> [0x80005004]:sd<br> |
| 488|[0x80009f50]<br>0xffffffff0292ab84|- rs1_val==7378697629483820645 and rs2_val==3037000500<br>                                                                                                                                          |[0x80005038]:mul<br> [0x8000503c]:sd<br> |
| 489|[0x80009f58]<br>0x000000021f0ed996|- rs1_val==3037000498 and rs2_val==3<br>                                                                                                                                                            |[0x80005054]:mul<br> [0x80005058]:sd<br> |
| 490|[0x80009f60]<br>0x5555555518fe599a|- rs1_val==3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                          |[0x8000508c]:mul<br> [0x80005090]:sd<br> |
| 491|[0x80009f68]<br>0xaaaaaaaa31fcb334|- rs1_val==3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                                         |[0x800050c4]:mul<br> [0x800050c8]:sd<br> |
| 492|[0x80009f70]<br>0x000000038918bffa|- rs1_val==3037000498 and rs2_val==5<br>                                                                                                                                                            |[0x800050e0]:mul<br> [0x800050e4]:sd<br> |
| 493|[0x80009f78]<br>0x99999999756568f6|- rs1_val==3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                          |[0x80005118]:mul<br> [0x8000511c]:sd<br> |
| 494|[0x80009f80]<br>0x33333332eacad1ec|- rs1_val==3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                          |[0x80005150]:mul<br> [0x80005154]:sd<br> |
| 495|[0x80009f88]<br>0x800000021663170a|- rs1_val==3037000498 and rs2_val==-3037000499<br>                                                                                                                                                  |[0x80005178]:mul<br> [0x8000517c]:sd<br> |
| 496|[0x80009f90]<br>0x7ffffffde99ce8f6|- rs1_val==3037000498 and rs2_val==3037000499<br>                                                                                                                                                   |[0x800051a0]:mul<br> [0x800051a4]:sd<br> |
| 497|[0x80009f98]<br>0x000000016a09e664|- rs1_val==3037000498 and rs2_val==2<br>                                                                                                                                                            |[0x800051bc]:mul<br> [0x800051c0]:sd<br> |
| 498|[0x80009fa0]<br>0x5555555463f96668|- rs1_val==3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                          |[0x800051f4]:mul<br> [0x800051f8]:sd<br> |
| 499|[0x80009fa8]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==0<br>                                                                                                                                                            |[0x80005210]:mul<br> [0x80005214]:sd<br> |
| 500|[0x80009fb0]<br>0x00000002d413ccc8|- rs1_val==3037000498 and rs2_val==4<br>                                                                                                                                                            |[0x8000522c]:mul<br> [0x80005230]:sd<br> |
| 501|[0x80009fb8]<br>0x99999998c06075c4|- rs1_val==3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                          |[0x80005264]:mul<br> [0x80005268]:sd<br> |
| 502|[0x80009fc0]<br>0x3333333235c5deba|- rs1_val==3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                          |[0x8000529c]:mul<br> [0x800052a0]:sd<br> |
| 503|[0x80009fc8]<br>0x7ffffffd3497f5c4|- rs1_val==3037000498 and rs2_val==3037000498<br>                                                                                                                                                   |[0x800052c4]:mul<br> [0x800052c8]:sd<br> |
| 504|[0x80009fd0]<br>0x55555555ce034ccc|- rs1_val==3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                          |[0x800052fc]:mul<br> [0x80005300]:sd<br> |
| 505|[0x80009fd8]<br>0xaaaaaaaae701a666|- rs1_val==3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                                         |[0x80005334]:mul<br> [0x80005338]:sd<br> |
| 506|[0x80009fe0]<br>0x000000043e1db32c|- rs1_val==3037000498 and rs2_val==6<br>                                                                                                                                                            |[0x80005350]:mul<br> [0x80005354]:sd<br> |
| 507|[0x80009fe8]<br>0x9999999a2a6a5c28|- rs1_val==3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                          |[0x80005388]:mul<br> [0x8000538c]:sd<br> |
| 508|[0x80009ff0]<br>0x333333339fcfc51e|- rs1_val==3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                          |[0x800053c0]:mul<br> [0x800053c4]:sd<br> |
| 509|[0x80009ff8]<br>0x80000002cb680a3c|- rs1_val==3037000498 and rs2_val==-3037000498<br>                                                                                                                                                  |[0x800053e8]:mul<br> [0x800053ec]:sd<br> |
| 510|[0x8000a000]<br>0x7ffffffe9ea1dc28|- rs1_val==3037000498 and rs2_val==3037000500<br>                                                                                                                                                   |[0x80005410]:mul<br> [0x80005414]:sd<br> |
| 511|[0x8000a008]<br>0x0000000000000002|- rs1_val==6148914691236517206 and rs2_val==3<br>                                                                                                                                                   |[0x8000543c]:mul<br> [0x80005440]:sd<br> |
| 512|[0x8000a010]<br>0xe38e38e38e38e38e|- rs1_val==6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x80005484]:mul<br> [0x80005488]:sd<br> |
| 513|[0x8000a018]<br>0xc71c71c71c71c71c|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x800054cc]:mul<br> [0x800054d0]:sd<br> |
| 514|[0x8000a020]<br>0xaaaaaaaaaaaaaaae|- rs1_val==6148914691236517206 and rs2_val==5<br>                                                                                                                                                   |[0x800054f8]:mul<br> [0x800054fc]:sd<br> |
| 515|[0x8000a028]<br>0x2222222222222222|- rs1_val==6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80005540]:mul<br> [0x80005544]:sd<br> |
| 516|[0x8000a030]<br>0x4444444444444444|- rs1_val==6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80005588]:mul<br> [0x8000558c]:sd<br> |
| 517|[0x8000a038]<br>0x55555554dca75dde|- rs1_val==6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                                         |[0x800055c0]:mul<br> [0x800055c4]:sd<br> |
| 518|[0x8000a040]<br>0xaaaaaaab2358a222|- rs1_val==6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                          |[0x800055f8]:mul<br> [0x800055fc]:sd<br> |
| 519|[0x8000a048]<br>0xaaaaaaaaaaaaaaac|- rs1_val==6148914691236517206 and rs2_val==2<br>                                                                                                                                                   |[0x80005624]:mul<br> [0x80005628]:sd<br> |
| 520|[0x8000a050]<br>0x8e38e38e38e38e38|- rs1_val==6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x8000566c]:mul<br> [0x80005670]:sd<br> |
| 521|[0x8000a058]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==0<br>                                                                                                                                                   |[0x80005698]:mul<br> [0x8000569c]:sd<br> |
| 522|[0x8000a060]<br>0x5555555555555558|- rs1_val==6148914691236517206 and rs2_val==4<br>                                                                                                                                                   |[0x800056c4]:mul<br> [0x800056c8]:sd<br> |
| 523|[0x8000a068]<br>0xcccccccccccccccc|- rs1_val==6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x8000570c]:mul<br> [0x80005710]:sd<br> |
| 524|[0x8000a070]<br>0xeeeeeeeeeeeeeeee|- rs1_val==6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x80005754]:mul<br> [0x80005758]:sd<br> |
| 525|[0x8000a078]<br>0x55555555ce034ccc|- rs1_val==6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                          |[0x8000578c]:mul<br> [0x80005790]:sd<br> |
| 526|[0x8000a080]<br>0x38e38e38e38e38e4|- rs1_val==6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x800057d4]:mul<br> [0x800057d8]:sd<br> |
| 527|[0x8000a088]<br>0x1c71c71c71c71c72|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x8000581c]:mul<br> [0x80005820]:sd<br> |
| 528|[0x8000a090]<br>0x0000000000000004|- rs1_val==6148914691236517206 and rs2_val==6<br>                                                                                                                                                   |[0x80005848]:mul<br> [0x8000584c]:sd<br> |
| 529|[0x8000a098]<br>0x7777777777777778|- rs1_val==6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80005890]:mul<br> [0x80005894]:sd<br> |
| 530|[0x8000a0a0]<br>0x999999999999999a|- rs1_val==6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x800058d8]:mul<br> [0x800058dc]:sd<br> |
| 531|[0x8000a0a8]<br>0xaaaaaaaa31fcb334|- rs1_val==6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80005918]:mul<br> [0x8000591c]:sd<br> |
| 532|[0x8000a0b0]<br>0x0000000078adf778|- rs1_val==6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                          |[0x80005950]:mul<br> [0x80005954]:sd<br> |
| 533|[0x8000a0b8]<br>0x0000000000000001|- rs1_val==-6148914691236517205 and rs2_val==3<br>                                                                                                                                                  |[0x8000597c]:mul<br> [0x80005980]:sd<br> |
| 534|[0x8000a0c0]<br>0x71c71c71c71c71c7|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                                |[0x800059c4]:mul<br> [0x800059c8]:sd<br> |
| 535|[0x8000a0c8]<br>0xe38e38e38e38e38e|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                               |[0x80005a0c]:mul<br> [0x80005a10]:sd<br> |
| 536|[0x8000a0d0]<br>0x5555555555555557|- rs1_val==-6148914691236517205 and rs2_val==5<br>                                                                                                                                                  |[0x80005a38]:mul<br> [0x80005a3c]:sd<br> |
| 537|[0x8000a0d8]<br>0x1111111111111111|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                                |[0x80005a80]:mul<br> [0x80005a84]:sd<br> |
| 538|[0x8000a0e0]<br>0x2222222222222222|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                                |[0x80005ac8]:mul<br> [0x80005acc]:sd<br> |
| 539|[0x8000a0e8]<br>0xaaaaaaaa6e53aeef|- rs1_val==-6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                                        |[0x80005b00]:mul<br> [0x80005b04]:sd<br> |
| 540|[0x8000a0f0]<br>0x5555555591ac5111|- rs1_val==-6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                         |[0x80005b38]:mul<br> [0x80005b3c]:sd<br> |
| 541|[0x8000a0f8]<br>0x5555555555555556|- rs1_val==-6148914691236517205 and rs2_val==2<br>                                                                                                                                                  |[0x80005b64]:mul<br> [0x80005b68]:sd<br> |
| 542|[0x8000a100]<br>0xc71c71c71c71c71c|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                                |[0x80005bac]:mul<br> [0x80005bb0]:sd<br> |
| 543|[0x8000a108]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and rs2_val==0<br>                                                                                                                                                  |[0x80005bd8]:mul<br> [0x80005bdc]:sd<br> |
| 544|[0x8000a110]<br>0xaaaaaaaaaaaaaaac|- rs1_val==-6148914691236517205 and rs2_val==4<br>                                                                                                                                                  |[0x80005c04]:mul<br> [0x80005c08]:sd<br> |
| 545|[0x8000a118]<br>0x6666666666666666|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                                |[0x80005c4c]:mul<br> [0x80005c50]:sd<br> |
| 546|[0x8000a120]<br>0x7777777777777777|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                                |[0x80005c94]:mul<br> [0x80005c98]:sd<br> |
| 547|[0x8000a128]<br>0xaaaaaaaae701a666|- rs1_val==-6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                         |[0x80005ccc]:mul<br> [0x80005cd0]:sd<br> |
| 548|[0x8000a130]<br>0x1c71c71c71c71c72|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                                |[0x80005d14]:mul<br> [0x80005d18]:sd<br> |
| 549|[0x8000a138]<br>0x8e38e38e38e38e39|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                               |[0x80005d5c]:mul<br> [0x80005d60]:sd<br> |
| 550|[0x8000a140]<br>0x0000000000000000|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                                     |[0x80005d6c]:mul<br> [0x80005d70]:sd<br> |
| 551|[0x8000a148]<br>0x0000000000000002|- rs1_val==-6148914691236517205 and rs2_val==6<br>                                                                                                                                                  |[0x80005d98]:mul<br> [0x80005d9c]:sd<br> |
| 552|[0x8000a150]<br>0xbbbbbbbbbbbbbbbc|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                                |[0x80005de0]:mul<br> [0x80005de4]:sd<br> |
| 553|[0x8000a158]<br>0xcccccccccccccccd|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                                |[0x80005e28]:mul<br> [0x80005e2c]:sd<br> |
| 554|[0x8000a160]<br>0x5555555518fe599a|- rs1_val==-6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                                        |[0x80005e60]:mul<br> [0x80005e64]:sd<br> |
| 555|[0x8000a168]<br>0x000000003c56fbbc|- rs1_val==-6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                         |[0x80005e98]:mul<br> [0x80005e9c]:sd<br> |
| 556|[0x8000a170]<br>0x0000000000000012|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                                     |[0x80005ea8]:mul<br> [0x80005eac]:sd<br> |
| 557|[0x8000a178]<br>0xfffffffffffffffe|- rs1_val==6 and rs2_val==6148914691236517205<br>                                                                                                                                                   |[0x80005ed4]:mul<br> [0x80005ed8]:sd<br> |
| 558|[0x8000a180]<br>0xfffffffffffffffc|- rs1_val==6 and rs2_val==-6148914691236517206<br>                                                                                                                                                  |[0x80005f00]:mul<br> [0x80005f04]:sd<br> |
| 559|[0x8000a188]<br>0x000000000000001e|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                                     |[0x80005f10]:mul<br> [0x80005f14]:sd<br> |
| 560|[0x8000a190]<br>0x3333333333333332|- rs1_val==6 and rs2_val==3689348814741910323<br>                                                                                                                                                   |[0x80005f3c]:mul<br> [0x80005f40]:sd<br> |
| 561|[0x8000a198]<br>0x6666666666666664|- rs1_val==6 and rs2_val==7378697629483820646<br>                                                                                                                                                   |[0x80005f68]:mul<br> [0x80005f6c]:sd<br> |
| 562|[0x8000a1a0]<br>0xfffffffbc1e24cce|- rs1_val==6 and rs2_val==-3037000499<br>                                                                                                                                                           |[0x80005f84]:mul<br> [0x80005f88]:sd<br> |
| 563|[0x8000a1a8]<br>0x000000043e1db332|- rs1_val==6 and rs2_val==3037000499<br>                                                                                                                                                            |[0x80005fa0]:mul<br> [0x80005fa4]:sd<br> |
| 564|[0x8000a1b0]<br>0x000000000000000c|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                                     |[0x80005fb0]:mul<br> [0x80005fb4]:sd<br> |
| 565|[0x8000a1b8]<br>0xfffffffffffffff8|- rs1_val==6 and rs2_val==6148914691236517204<br>                                                                                                                                                   |[0x80005fdc]:mul<br> [0x80005fe0]:sd<br> |
| 566|[0x8000a1c0]<br>0x0000000000000000|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                                     |[0x80005fec]:mul<br> [0x80005ff0]:sd<br> |
| 567|[0x8000a1c8]<br>0x0000000000000018|- rs1_val==6 and rs2_val==4<br>                                                                                                                                                                     |[0x80005ffc]:mul<br> [0x80006000]:sd<br> |
| 568|[0x8000a1d0]<br>0x333333333333332c|- rs1_val==6 and rs2_val==3689348814741910322<br>                                                                                                                                                   |[0x80006028]:mul<br> [0x8000602c]:sd<br> |
| 569|[0x8000a1d8]<br>0x666666666666665e|- rs1_val==6 and rs2_val==7378697629483820645<br>                                                                                                                                                   |[0x80006054]:mul<br> [0x80006058]:sd<br> |
| 570|[0x8000a1e0]<br>0x000000043e1db32c|- rs1_val==6 and rs2_val==3037000498<br>                                                                                                                                                            |[0x80006070]:mul<br> [0x80006074]:sd<br> |
| 571|[0x8000a1e8]<br>0x0000000000000004|- rs1_val==6 and rs2_val==6148914691236517206<br>                                                                                                                                                   |[0x8000609c]:mul<br> [0x800060a0]:sd<br> |
| 572|[0x8000a1f0]<br>0x0000000000000002|- rs1_val==6 and rs2_val==-6148914691236517205<br>                                                                                                                                                  |[0x800060c8]:mul<br> [0x800060cc]:sd<br> |
| 573|[0x8000a1f8]<br>0x0000000000000024|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                                     |[0x800060d8]:mul<br> [0x800060dc]:sd<br> |
| 574|[0x8000a200]<br>0x3333333333333338|- rs1_val==6 and rs2_val==3689348814741910324<br>                                                                                                                                                   |[0x80006104]:mul<br> [0x80006108]:sd<br> |
| 575|[0x8000a208]<br>0x666666666666666a|- rs1_val==6 and rs2_val==7378697629483820647<br>                                                                                                                                                   |[0x80006130]:mul<br> [0x80006134]:sd<br> |
| 576|[0x8000a210]<br>0xfffffffbc1e24cd4|- rs1_val==6 and rs2_val==-3037000498<br>                                                                                                                                                           |[0x8000614c]:mul<br> [0x80006150]:sd<br> |
| 577|[0x8000a218]<br>0x000000043e1db338|- rs1_val==6 and rs2_val==3037000500<br>                                                                                                                                                            |[0x80006168]:mul<br> [0x8000616c]:sd<br> |
| 578|[0x8000a220]<br>0x999999999999999c|- rs1_val==3689348814741910324 and rs2_val==3<br>                                                                                                                                                   |[0x80006194]:mul<br> [0x80006198]:sd<br> |
| 579|[0x8000a228]<br>0x4444444444444444|- rs1_val==3689348814741910324 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x800061dc]:mul<br> [0x800061e0]:sd<br> |
| 580|[0x8000a230]<br>0x8888888888888888|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80006224]:mul<br> [0x80006228]:sd<br> |
| 581|[0x8000a238]<br>0x0000000000000004|- rs1_val==3689348814741910324 and rs2_val==5<br>                                                                                                                                                   |[0x80006250]:mul<br> [0x80006254]:sd<br> |
| 582|[0x8000a240]<br>0xc28f5c28f5c28f5c|- rs1_val==3689348814741910324 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80006298]:mul<br> [0x8000629c]:sd<br> |
| 583|[0x8000a248]<br>0x851eb851eb851eb8|- rs1_val==3689348814741910324 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x800062e0]:mul<br> [0x800062e4]:sd<br> |
| 584|[0x8000a250]<br>0x33333332a26270a4|- rs1_val==3689348814741910324 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80006318]:mul<br> [0x8000631c]:sd<br> |
| 585|[0x8000a258]<br>0xcccccccd5d9d8f5c|- rs1_val==3689348814741910324 and rs2_val==3037000499<br>                                                                                                                                          |[0x80006350]:mul<br> [0x80006354]:sd<br> |
| 586|[0x8000a260]<br>0x6666666666666668|- rs1_val==3689348814741910324 and rs2_val==2<br>                                                                                                                                                   |[0x8000637c]:mul<br> [0x80006380]:sd<br> |
| 587|[0x8000a268]<br>0x1111111111111110|- rs1_val==3689348814741910324 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x800063c4]:mul<br> [0x800063c8]:sd<br> |
| 588|[0x8000a270]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==0<br>                                                                                                                                                   |[0x800063f0]:mul<br> [0x800063f4]:sd<br> |
| 589|[0x8000a278]<br>0xccccccccccccccd0|- rs1_val==3689348814741910324 and rs2_val==4<br>                                                                                                                                                   |[0x8000641c]:mul<br> [0x80006420]:sd<br> |
| 590|[0x8000a280]<br>0x8f5c28f5c28f5c28|- rs1_val==3689348814741910324 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x80006464]:mul<br> [0x80006468]:sd<br> |
| 591|[0x8000a288]<br>0x51eb851eb851eb84|- rs1_val==3689348814741910324 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x800064ac]:mul<br> [0x800064b0]:sd<br> |
| 592|[0x8000a290]<br>0x9999999a2a6a5c28|- rs1_val==3689348814741910324 and rs2_val==3037000498<br>                                                                                                                                          |[0x800064e4]:mul<br> [0x800064e8]:sd<br> |
| 593|[0x8000a298]<br>0x7777777777777778|- rs1_val==3689348814741910324 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x8000652c]:mul<br> [0x80006530]:sd<br> |
| 594|[0x8000a2a0]<br>0xbbbbbbbbbbbbbbbc|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x80006574]:mul<br> [0x80006578]:sd<br> |
| 595|[0x8000a2a8]<br>0x3333333333333338|- rs1_val==3689348814741910324 and rs2_val==6<br>                                                                                                                                                   |[0x800065a0]:mul<br> [0x800065a4]:sd<br> |
| 596|[0x8000a2b0]<br>0xf5c28f5c28f5c290|- rs1_val==3689348814741910324 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x800065e8]:mul<br> [0x800065ec]:sd<br> |
| 597|[0x8000a2b8]<br>0xb851eb851eb851ec|- rs1_val==3689348814741910324 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80006630]:mul<br> [0x80006634]:sd<br> |
| 598|[0x8000a2c0]<br>0x66666665d595a3d8|- rs1_val==3689348814741910324 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80006668]:mul<br> [0x8000666c]:sd<br> |
| 599|[0x8000a2c8]<br>0x0000000090d0c290|- rs1_val==3689348814741910324 and rs2_val==3037000500<br>                                                                                                                                          |[0x800066a0]:mul<br> [0x800066a4]:sd<br> |
| 600|[0x8000a2d0]<br>0x3333333333333335|- rs1_val==7378697629483820647 and rs2_val==3<br>                                                                                                                                                   |[0x800066cc]:mul<br> [0x800066d0]:sd<br> |
| 601|[0x8000a2d8]<br>0x3333333333333333|- rs1_val==7378697629483820647 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x80006714]:mul<br> [0x80006718]:sd<br> |
| 602|[0x8000a2e0]<br>0x6666666666666666|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x8000675c]:mul<br> [0x80006760]:sd<br> |
| 603|[0x8000a2e8]<br>0x0000000000000003|- rs1_val==7378697629483820647 and rs2_val==5<br>                                                                                                                                                   |[0x80006788]:mul<br> [0x8000678c]:sd<br> |
| 604|[0x8000a2f0]<br>0x51eb851eb851eb85|- rs1_val==7378697629483820647 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x800067d0]:mul<br> [0x800067d4]:sd<br> |
| 605|[0x8000a2f8]<br>0xa3d70a3d70a3d70a|- rs1_val==7378697629483820647 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80006818]:mul<br> [0x8000681c]:sd<br> |
| 606|[0x8000a300]<br>0x66666665f9c9d47b|- rs1_val==7378697629483820647 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80006850]:mul<br> [0x80006854]:sd<br> |
| 607|[0x8000a308]<br>0x9999999a06362b85|- rs1_val==7378697629483820647 and rs2_val==3037000499<br>                                                                                                                                          |[0x80006888]:mul<br> [0x8000688c]:sd<br> |
| 608|[0x8000a310]<br>0xccccccccccccccce|- rs1_val==7378697629483820647 and rs2_val==2<br>                                                                                                                                                   |[0x800068b4]:mul<br> [0x800068b8]:sd<br> |
| 609|[0x8000a318]<br>0xcccccccccccccccc|- rs1_val==7378697629483820647 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x800068fc]:mul<br> [0x80006900]:sd<br> |
| 610|[0x8000a320]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==0<br>                                                                                                                                                   |[0x80006928]:mul<br> [0x8000692c]:sd<br> |
| 611|[0x8000a328]<br>0x999999999999999c|- rs1_val==7378697629483820647 and rs2_val==4<br>                                                                                                                                                   |[0x80006954]:mul<br> [0x80006958]:sd<br> |
| 612|[0x8000a330]<br>0xeb851eb851eb851e|- rs1_val==7378697629483820647 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x8000699c]:mul<br> [0x800069a0]:sd<br> |
| 613|[0x8000a338]<br>0x3d70a3d70a3d70a3|- rs1_val==7378697629483820647 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x800069e4]:mul<br> [0x800069e8]:sd<br> |
| 614|[0x8000a340]<br>0x333333339fcfc51e|- rs1_val==7378697629483820647 and rs2_val==3037000498<br>                                                                                                                                          |[0x80006a1c]:mul<br> [0x80006a20]:sd<br> |
| 615|[0x8000a348]<br>0x999999999999999a|- rs1_val==7378697629483820647 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x80006a64]:mul<br> [0x80006a68]:sd<br> |
| 616|[0x8000a350]<br>0xcccccccccccccccd|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x80006aac]:mul<br> [0x80006ab0]:sd<br> |
| 617|[0x8000a358]<br>0x666666666666666a|- rs1_val==7378697629483820647 and rs2_val==6<br>                                                                                                                                                   |[0x80006ad8]:mul<br> [0x80006adc]:sd<br> |
| 618|[0x8000a360]<br>0xb851eb851eb851ec|- rs1_val==7378697629483820647 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80006b20]:mul<br> [0x80006b24]:sd<br> |
| 619|[0x8000a368]<br>0x0a3d70a3d70a3d71|- rs1_val==7378697629483820647 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80006b68]:mul<br> [0x80006b6c]:sd<br> |
| 620|[0x8000a370]<br>0xcccccccc60303ae2|- rs1_val==7378697629483820647 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80006ba0]:mul<br> [0x80006ba4]:sd<br> |
| 621|[0x8000a378]<br>0x000000006c9c91ec|- rs1_val==7378697629483820647 and rs2_val==3037000500<br>                                                                                                                                          |[0x80006bd8]:mul<br> [0x80006bdc]:sd<br> |
| 622|[0x8000a380]<br>0xfffffffde0f1266a|- rs1_val==-3037000498 and rs2_val==3<br>                                                                                                                                                           |[0x80006bf4]:mul<br> [0x80006bf8]:sd<br> |
| 623|[0x8000a388]<br>0xaaaaaaaae701a666|- rs1_val==-3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                         |[0x80006c2c]:mul<br> [0x80006c30]:sd<br> |
| 624|[0x8000a390]<br>0x55555555ce034ccc|- rs1_val==-3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                                        |[0x80006c64]:mul<br> [0x80006c68]:sd<br> |
| 625|[0x8000a398]<br>0xfffffffc76e74006|- rs1_val==-3037000498 and rs2_val==5<br>                                                                                                                                                           |[0x80006c80]:mul<br> [0x80006c84]:sd<br> |
| 626|[0x8000a3a0]<br>0x666666668a9a970a|- rs1_val==-3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                         |[0x80006cb8]:mul<br> [0x80006cbc]:sd<br> |
| 627|[0x8000a3a8]<br>0xcccccccd15352e14|- rs1_val==-3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                         |[0x80006cf0]:mul<br> [0x80006cf4]:sd<br> |
| 628|[0x8000a3b0]<br>0x7ffffffde99ce8f6|- rs1_val==-3037000498 and rs2_val==-3037000499<br>                                                                                                                                                 |[0x80006d18]:mul<br> [0x80006d1c]:sd<br> |
| 629|[0x8000a3b8]<br>0x800000021663170a|- rs1_val==-3037000498 and rs2_val==3037000499<br>                                                                                                                                                  |[0x80006d40]:mul<br> [0x80006d44]:sd<br> |
| 630|[0x8000a3c0]<br>0xfffffffe95f6199c|- rs1_val==-3037000498 and rs2_val==2<br>                                                                                                                                                           |[0x80006d5c]:mul<br> [0x80006d60]:sd<br> |
| 631|[0x8000a3c8]<br>0xaaaaaaab9c069998|- rs1_val==-3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                         |[0x80006d94]:mul<br> [0x80006d98]:sd<br> |
| 632|[0x8000a3d0]<br>0x0000000000000000|- rs1_val==-3037000498 and rs2_val==0<br>                                                                                                                                                           |[0x80006db0]:mul<br> [0x80006db4]:sd<br> |
| 633|[0x8000a3d8]<br>0xfffffffd2bec3338|- rs1_val==-3037000498 and rs2_val==4<br>                                                                                                                                                           |[0x80006dcc]:mul<br> [0x80006dd0]:sd<br> |
| 634|[0x8000a3e0]<br>0x666666673f9f8a3c|- rs1_val==-3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                         |[0x80006e04]:mul<br> [0x80006e08]:sd<br> |
| 635|[0x8000a3e8]<br>0xcccccccdca3a2146|- rs1_val==-3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                         |[0x80006e3c]:mul<br> [0x80006e40]:sd<br> |
| 636|[0x8000a3f0]<br>0x80000002cb680a3c|- rs1_val==-3037000498 and rs2_val==3037000498<br>                                                                                                                                                  |[0x80006e64]:mul<br> [0x80006e68]:sd<br> |
| 637|[0x8000a3f8]<br>0xaaaaaaaa31fcb334|- rs1_val==-3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                         |[0x80006e9c]:mul<br> [0x80006ea0]:sd<br> |
| 638|[0x8000a400]<br>0x5555555518fe599a|- rs1_val==-3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                                        |[0x80006ed4]:mul<br> [0x80006ed8]:sd<br> |
| 639|[0x8000a408]<br>0xfffffffbc1e24cd4|- rs1_val==-3037000498 and rs2_val==6<br>                                                                                                                                                           |[0x80006ef0]:mul<br> [0x80006ef4]:sd<br> |
| 640|[0x8000a410]<br>0x66666665d595a3d8|- rs1_val==-3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                         |[0x80006f28]:mul<br> [0x80006f2c]:sd<br> |
| 641|[0x8000a418]<br>0xcccccccc60303ae2|- rs1_val==-3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                         |[0x80006f60]:mul<br> [0x80006f64]:sd<br> |
| 642|[0x8000a420]<br>0x7ffffffd3497f5c4|- rs1_val==-3037000498 and rs2_val==-3037000498<br>                                                                                                                                                 |[0x80006f88]:mul<br> [0x80006f8c]:sd<br> |
| 643|[0x8000a428]<br>0x80000001615e23d8|- rs1_val==-3037000498 and rs2_val==3037000500<br>                                                                                                                                                  |[0x80006fb0]:mul<br> [0x80006fb4]:sd<br> |
| 644|[0x8000a430]<br>0x000000021f0ed99c|- rs1_val==3037000500 and rs2_val==3<br>                                                                                                                                                            |[0x80006fcc]:mul<br> [0x80006fd0]:sd<br> |
| 645|[0x8000a438]<br>0xffffffffc3a90444|- rs1_val==3037000500 and rs2_val==6148914691236517205<br>                                                                                                                                          |[0x80007004]:mul<br> [0x80007008]:sd<br> |
| 646|[0x8000a440]<br>0xffffffff87520888|- rs1_val==3037000500 and rs2_val==-6148914691236517206<br>                                                                                                                                         |[0x8000703c]:mul<br> [0x80007040]:sd<br> |
| 647|[0x8000a448]<br>0x000000038918c004|- rs1_val==3037000500 and rs2_val==5<br>                                                                                                                                                            |[0x80007058]:mul<br> [0x8000705c]:sd<br> |
| 648|[0x8000a450]<br>0xffffffffdbcbcf5c|- rs1_val==3037000500 and rs2_val==3689348814741910323<br>                                                                                                                                          |[0x80007090]:mul<br> [0x80007094]:sd<br> |
| 649|[0x8000a458]<br>0xffffffffb7979eb8|- rs1_val==3037000500 and rs2_val==7378697629483820646<br>                                                                                                                                          |[0x800070c8]:mul<br> [0x800070cc]:sd<br> |
| 650|[0x8000a460]<br>0x80000000ac5930a4|- rs1_val==3037000500 and rs2_val==-3037000499<br>                                                                                                                                                  |[0x800070f0]:mul<br> [0x800070f4]:sd<br> |
| 651|[0x8000a468]<br>0x7fffffff53a6cf5c|- rs1_val==3037000500 and rs2_val==3037000499<br>                                                                                                                                                   |[0x80007118]:mul<br> [0x8000711c]:sd<br> |
| 652|[0x8000a470]<br>0x000000016a09e668|- rs1_val==3037000500 and rs2_val==2<br>                                                                                                                                                            |[0x80007134]:mul<br> [0x80007138]:sd<br> |
| 653|[0x8000a478]<br>0xffffffff0ea41110|- rs1_val==3037000500 and rs2_val==6148914691236517204<br>                                                                                                                                          |[0x8000716c]:mul<br> [0x80007170]:sd<br> |
| 654|[0x8000a480]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==0<br>                                                                                                                                                            |[0x80007188]:mul<br> [0x8000718c]:sd<br> |
| 655|[0x8000a488]<br>0x00000002d413ccd0|- rs1_val==3037000500 and rs2_val==4<br>                                                                                                                                                            |[0x800071a4]:mul<br> [0x800071a8]:sd<br> |
| 656|[0x8000a490]<br>0xffffffff26c6dc28|- rs1_val==3037000500 and rs2_val==3689348814741910322<br>                                                                                                                                          |[0x800071dc]:mul<br> [0x800071e0]:sd<br> |
| 657|[0x8000a498]<br>0xffffffff0292ab84|- rs1_val==3037000500 and rs2_val==7378697629483820645<br>                                                                                                                                          |[0x80007214]:mul<br> [0x80007218]:sd<br> |
| 658|[0x8000a4a0]<br>0x7ffffffe9ea1dc28|- rs1_val==3037000500 and rs2_val==3037000498<br>                                                                                                                                                   |[0x8000723c]:mul<br> [0x80007240]:sd<br> |
| 659|[0x8000a4a8]<br>0x0000000078adf778|- rs1_val==3037000500 and rs2_val==6148914691236517206<br>                                                                                                                                          |[0x80007274]:mul<br> [0x80007278]:sd<br> |
| 660|[0x8000a4b0]<br>0x000000003c56fbbc|- rs1_val==3037000500 and rs2_val==-6148914691236517205<br>                                                                                                                                         |[0x800072ac]:mul<br> [0x800072b0]:sd<br> |
| 661|[0x8000a4b8]<br>0x000000043e1db338|- rs1_val==3037000500 and rs2_val==6<br>                                                                                                                                                            |[0x800072c8]:mul<br> [0x800072cc]:sd<br> |
| 662|[0x8000a4c0]<br>0x0000000090d0c290|- rs1_val==3037000500 and rs2_val==3689348814741910324<br>                                                                                                                                          |[0x80007300]:mul<br> [0x80007304]:sd<br> |
| 663|[0x8000a4c8]<br>0x000000006c9c91ec|- rs1_val==3037000500 and rs2_val==7378697629483820647<br>                                                                                                                                          |[0x80007338]:mul<br> [0x8000733c]:sd<br> |
| 664|[0x8000a4d0]<br>0x80000001615e23d8|- rs1_val==3037000500 and rs2_val==-3037000498<br>                                                                                                                                                  |[0x80007360]:mul<br> [0x80007364]:sd<br> |
| 665|[0x8000a4d8]<br>0x8000000008abc290|- rs1_val==3037000500 and rs2_val==3037000500<br>                                                                                                                                                   |[0x80007388]:mul<br> [0x8000738c]:sd<br> |
| 666|[0x8000a4e0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000499<br>                                                                                                                                                            |[0x800073a4]:mul<br> [0x800073a8]:sd<br> |
| 667|[0x8000a4e8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                                     |[0x800073b4]:mul<br> [0x800073b8]:sd<br> |
| 668|[0x8000a4f0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517204<br>                                                                                                                                                   |[0x800073e0]:mul<br> [0x800073e4]:sd<br> |
| 669|[0x8000a4f8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                                                     |[0x800073f0]:mul<br> [0x800073f4]:sd<br> |
| 670|[0x8000a500]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910322<br>                                                                                                                                                   |[0x8000741c]:mul<br> [0x80007420]:sd<br> |
| 671|[0x8000a508]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820645<br>                                                                                                                                                   |[0x80007448]:mul<br> [0x8000744c]:sd<br> |
| 672|[0x8000a510]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000498<br>                                                                                                                                                            |[0x80007464]:mul<br> [0x80007468]:sd<br> |
| 673|[0x8000a518]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517206<br>                                                                                                                                                   |[0x80007490]:mul<br> [0x80007494]:sd<br> |
| 674|[0x8000a520]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                                     |[0x800074a0]:mul<br> [0x800074a4]:sd<br> |
| 675|[0x8000a528]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910324<br>                                                                                                                                                   |[0x800074cc]:mul<br> [0x800074d0]:sd<br> |
| 676|[0x8000a530]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820647<br>                                                                                                                                                   |[0x800074f8]:mul<br> [0x800074fc]:sd<br> |
| 677|[0x8000a538]<br>0x0000008000000000|- rs2_val == 2097152<br>                                                                                                                                                                            |[0x80007508]:mul<br> [0x8000750c]:sd<br> |
| 678|[0x8000a540]<br>0x333333999999999a|- rs2_val == -1099511627777<br>                                                                                                                                                                     |[0x8000753c]:mul<br> [0x80007540]:sd<br> |
| 679|[0x8000a548]<br>0x0000000000000010|- rs2_val == 1<br>                                                                                                                                                                                  |[0x8000754c]:mul<br> [0x80007550]:sd<br> |
| 680|[0x8000a550]<br>0xffffffffffffffc0|- rs1_val == -2<br>                                                                                                                                                                                 |[0x8000755c]:mul<br> [0x80007560]:sd<br> |
